var sipTrunk_tbl = new Array("SIP Trunk",
							"Trunk Settings",
							"SIP",	
							"Registrar Settings",
							"Enable SIP Trunk?",
							"SIP ID",
							"Registrar Server Address",
							"Port",
							"'rinstance' in REGISTER?",
							"SIP Registration",
							"Outgoing Calls Without Registration",
							"Re-Registration Timer",
							"Registration Retry Timer",
							"Authentication",
							"Authentication ID",
							"Authentication Password",
							"Outbound Proxy",
							"Enable Outbound Proxy?",
							"Outbound Proxy Address", 
							"Port",
							"Source Port IP Address",
							"Source Port IP Address",
							"Incoming Calls",
							"Allow IC Calls?",
							"Incoming Call Routing Options",
							"Fixed Destination Number",
							"Ring Timer",
							"On Connecting Media, Send",
							"183 Session Progress",
							"SIP Transport",
							"Default Transport For Outgoing Messages",
							"Caller Authentication",
							"Authentication Type",
							"Automatic Number Translation",
							"Apply ANT?",
							"Dialed Number List",
							"Substitute Number List",
							"Anonymous Call Rejection",
							"Enable Anonymous Call Rejection?",
							"CLI number on FXS port",
							"Type",
							"CLIR",
							"Enable CLIR?",
							"Vocoder Preference",
							"Preference1",
							"Preference2",
							"Preference3",
							"Preference4",
							"Symmetric RTP",
							"Enable Symmetric RTP?",
							"DTMF",
							"DTMF Option",
							"DTMF Dial Timer",
							"On Time",
							"Off Time", 
							"Pause Timer",
							"Pause Timer",
							"Call Hold Using",
							"Select RFC",
							"FAX ",
							"FAX Protocol",
							"Returned Calls to Original Caller (RCOC)",
							"On Busy",
							"On No Response",
							"On Speech",
							"Caller-ID",
							"Send Caller-ID?",
							"Send Caller-ID of FXS/Mobile?",
							"G.723 Bit Rate",
							"G.723 Bit Rate",
							"CLI Source",
							"DNS SRV",
							"Use DNS SRV?",
							"Digest Authentication",
							"Authenticate Incoming Calls",
							"Subscribe for MWI",
							"Message Retrieval Number",
							"Send MWI Notification on",
							"FXS1",
							"FXS2",
							"Message Wait Notification on FXS Port",
              "Passthrough FAX Codec",
							"Secure RTP (SRTP) Mode",
							"Media Type",
							"Check SIP ID During Incoming Call",
							"CLI Source");


var SIPTRUNK_TBL = {"SIP_TRUNKS":0,
							"SIP_SETTINGS":1,
							"SIP":2,	
							"REGISTRAR_SETTINGS":3,
							"ENABLE_SIP_TRUNK":4,
							"SIP_ID":5,
							"REGISTRAR_SERVER_ADDRESS":6,
							"REGISTRAR_SERVER_PORT":7,
							"ADD_RINSTANCE_IN_REGISTER":8,
							"SEND_REGISTER":9,
							"ALLOW_OG_CALLS_WITHOUT_REGISTRATION":10,
							"RE_REGISTRATION_TIMER":11,
							"REGISTRATION_RETRY_TIMER":12,
							"AUTHENTICATION":13,
							"USER_ID":14,
							"PASSWORD":15,
							"OUTBOUND_PROXY":16,
							"ENABLE_OUTBOUND_PROXY":17,
							"SERVER_ADDRESS":18,
							"SERVER_PORT":19,
							"SOURCE_PORT_IP_ADDRESS_HEADER":20,
							"SOURCE_PORT_IP_ADDRESS":21,
							"INCOMING_CALLS":22,
							"ALLOW_IC_CALLS":23,
							"INCOMING_CALL_ROUTE":24,
							"FIXED_DESTINATION_NUMBER":25,
							"RING_TIMER":26,
							"SEND_183_SESSION_PROGRESS_HEADER":27,
							"SEND_183_SESSION_PROGRESS":28,
							"TRANSPORT_CONFIGURATION":29,
							"DEFAULT_TRANSPORT_FOR_OUTGOING_MESSAGES":30,
							"CALLER_AUTHENTICATION":31,
							"AUTHENTICATION_TYPE":32,
							"AUTOMATIC_NUMBER_TRANSLATION":33,
							"APPLY_ANT":34,
							"DIALED_NUMBER_LIST":35,
							"SUBSTITUTE_NUMBER_LIST":36,
							"ANONYMOUS_CALL_REJECTION":37,
							"ENABLE_ANONYMOUS_CALL_REJECTION":38,
							"CLI_NUMBER_ON_FXS_PORT":39,
							"TYPE":40,
							"CLIR":41,
							"ENABLE_CLIR":42,
							"VOCODER_PREFERENCE":43,
							"PREFERENCE1":44,
							"PREFERENCE2":45,
							"PREFERENCE3":46,
							"PREFERENCE4":47,
							"SYMMETRIC_RTP":48,
							"ENABLE_SYMMETRIC_RTP":49,
							"DTMF":50,
							"DTMF_OPTION":51,
							"DTMF_DIAL_TIMER":52,
							"DTMF_ON_TIME":53,
							"DTMF_OFF_TIME":54,
							"PAUSE_TIMER_HEADER":55,
							"PAUSE_TIMER":56,
							"CALL_HOLD_METHOD":57,
							"SELECT_RFC":58,
							"FAX":59,
							"FAX_OPTION":60,
							"RETURNED_CALLS_TO_ORIGINAL_CALLER_RCOC":61,
							"ON_BUSY":62,
							"ON_NO_RESPONSE":63,
							"ON_SPEECH":64,
							"CALLER_ID":65,
							"SEND_CALLER_ID_STS":66,
							"SEND_CALLER_ID_GSM":67,
							"GBIT_ERR_TITLE":68,
							"GBIT_ERR_TXT":69,
							"SEND_CALLER_ID_FXO":70,
							"DNS_SRV_TABLE_TITLE":71,
							"DNS_SRV_ENABLE_FLAG":72,
							"DIGEST_AUTHENTICAITON":73,
							"ENABLE_DIGEST_AUTHENTICAITON":74,
							"SUBSCRIBE_FOR_MWI":75,
							"MESSAGE_RETRIEVAL_NUMBER":76,
							"SEND_MWI_NOTIFICATION_ON":77,
							"FXS1":78,
							"FXS2":79,
							"MESSAGE_WAIT_NOTIFICATION_ON_FXS_PORT":80,
              "PASSTHROUGH_FAX_CODEC":81,
							"SECURE_RTP_MODE":82,
							"MEDIA_TYPE":83,
							"CHECK_SIP_ID_DUR_IC_CALL":84,
							"CLI_SOURCE":85};

////////////


var srcPortIpAddr_tbl = new Array("Disable",
									"STUN",
									"Router IP Address");

var SRCPORTIPADDR_TBL = {"USE_WAN_PORT_IP_ADDRESS":0,
									"USE_IP_ADDRESS_FETCHED_USING_STUN":1,
									"USE_ROUTERS_PUBLIC_IP_ADDRESS":2};

/////////
var transportOgMsg_tbl = new Array("UDP",
									"TCP",
									"TCP (Fallback to UDP)");
var TRANSPORTOGMSG_TBL = {"UDP":0,
									"TCP":1,
									"TCP_WITH_FALLBACK_TO_UDP":2};


///////////////////


var callerAuthType_tbl = new Array("None",
									"PIN",
									"Digest");

var CALLERAUTHTYPE_TBL = {"NONE":0,
									"PIN":1,
									"DIGEST":2};
/////////////////
var cliOnFxs_tbl = new Array("Calling Number", 
							"Called Number"); 

var CLIONFXS_TBL = {"RECEIVED_CALLING_PARTY":0,
							"RECEIVED_CALLED_PARTY":1};

//////////////////

var vocoderPreferecneOne_tbl = new Array("G.711 (A-law)",
										"G.711 (Mu-law)",
										"G.729",
										"G.723");

var VOCODERPREFERECNEONE_TBL = {"G_711_A_LAW":0,
										"G_711_MU_LAW":1,
										"G_729":2,
										"G_723":3};
/////////////////
var dtmfOption_tbl = new Array("Inband",
								"Outband",
								"SIP INFO");


var DTMFOPTION_TBL = {"INBAND":0,
								"OUTBAND":1,
								"SIP_INFO":2};
/////////////////
var callHoldType_tbl = new Array("RFC 2543",
								"RFC 3261");

var CALLHOLDTYPE_TBL = {"RFC_2543":0,
								"RFC_3261":1};

/////////////
var faxOption_tbl = new Array("T.38 (UDPTL)",
							"Pass Through");



var FAXOPTION_TBL = {"T_38_UDPTL":0,
							"PASS_THROUGH":1};

var faxCodec_Tbl = new Array("G.711A",
                            "G.711Mu");
                            
var FAXCODEC_TBL = {"G711A":0,
                    "G711MU":1};

var msgWaitNotificationFxsPort_tbl = new Array("LED Lamp",
		                                            "Shuttered Dial Tone",
		                                            "LED Lamp and Shuttered Dial Tone",
		                                            "Ring",
		                                            "No Notification");

var MSGWAITNOTIFICATIONFXSPORT_TBL = {"LED_LAMP":0,
																			"SHUTTERED_DIAL_TONE":1,
																			"LED_LAMP_AND_SHUTTERED_DIAL_TONE":2,
																			"RING":3,
																			"NO_NOTIFICATION":4};

var mediaType_tbl = new Array("AVP",
								"SAVP");
var MEDIATYPE_TBL = {"AVP":0,
						"SAVP":1};

var InValid_SipId1_Err_msg = "SIP ID for Account can not be blank";
var PasswordBlank_Sip1_Err_msg= "Password for Account can not be blank";
var InValid_SipId2_Err_msg = "SIP ID for Account2 can not be blank";
var PasswordBlank_Sip2_Err_msg= "Password for Account2 can not be blank";

var InValid_SipId3_Err_msg = "SIP ID for Account3 can not be blank";
var PasswordBlank_Sip3_Err_msg= "Password for Account3 can not be blank";

var InValid_IP_Err_msg="Enter valid IP address";
var InValid_FDN_Err_msg ="Fixed destination number can not be left blank";
var bitRate_tbl = new Array("5.3 Kbps",
							"6.3 Kbps");


//----------------------------------------------------------------------------
// Setuata1s routing table
//----------------------------------------------------------------------------
var sipRoute1s_tbl = new Array("Route to FXS",
					"Answer the call, collect number and route to FXS");

var SIPROUTE1S_TBL = {"ROUTE_TO_FXS":0,
						"COLLECT_NUMBER_AND_ROUTE_TO_FXS":1};

//----------------------------------------------------------------------------
// Setuata2s routing table
//----------------------------------------------------------------------------
var sipRoute2s_tbl = new Array("Route to FXS1",
						"Route to FXS2",
						"Route to Both",
						"Answer the call, collect number & route to FXS1",
						"Answer the call, collect number & route to FXS2");

var SIPROUTE2S_TBL = {"ROUTE_TO_FXS1":0,
					  "ROUTE_TO_FXS2":1,
						"ROUTE_TO_BOTH":2,
						"COLLECT_NUMBER_AND_ROUTE_TO_FXS1":3,
						"COLLECT_NUMBER_AND_ROUTE_TO_FXS2":4};

//----------------------------------------------------------------------------
// Setuata211 routing table
//----------------------------------------------------------------------------
var sipRoute211_tbl = new Array("Route to FXS",
							"Route to fixed destination number through FXO",
	
							"Route to FXS. If not answered within ring timer, route to fixed destination number through FXO",
	
							"Answer the call and connect to FXO",
	
							"Route to FXS. If not answered within ring timer, answer the call and connect to FXO",
	
							"Answer the call, collect number & route to FXS",
							"Answer the call, collect number & route to FXO",
							"Route as per Called Party Number");

var SIPROUTE211_TBL = {"ROUTE_TO_FXS":0,
						"ROUTE_TO_FDN_THRU_FXO":1,
						"ROUTE_TO_FXS_NOT_ANS_FIXED_FXO":2,
						"ANS_AND_COLLECT_ROUTE_TO_FXO":3,
						"ROUTE_TO_FXS_ANS_CONNECT_FXO":4,
						"COLLECT_NUMBER_AND_ROUTE_TO_FXS":5,
						"COLLECT_NUMBER_AND_ROUTE_TO_FXO":6,
						"COLLECT_AS_CALLED_PARTY_NUM":7};


//----------------------------------------------------------------------------
// Setuata211g routing table
//----------------------------------------------------------------------------
var sipRoute211g_tbl = new Array("Route to FXS",
							"Route to fixed destination number through Mobile",
	
							"Route to FXS. If not answered within ring timer, route to fixed destination number through Mobile",
	
							"Answer the call, collect number & route to FXS",
							"Answer the call, collect number & route to Mobile",
							"Route as per Called Party Number");

var SIPROUTE211G_TBL = {"ROUTE_TO_FXS":0,
						"ROUTE_TO_FDN_THRU_GSM":1,
						"ROUTE_TO_FXS_NOT_ANS_FIXED_GSM":2,
						"COLLECT_NUMBER_AND_ROUTE_TO_FXS":3,
						"COLLECT_NUMBER_AND_ROUTE_TO_GSM":4,
						"COLLECT_AS_CALLED_PARTY_NUM":5};


var InValidRegisterServerAddr = "Registrar Server Address can not be blank";
var sipTrunkLink = "SIP Trunk";
var sipTrunkMode = "SIP Trunk Mode";
var proxyMode = "Proxy";
var peerToPeerMode ="Peer-to-Peer";
var rejectIcCall = "Reject Incoming Calls";
var send200Ok = "200 OK";
var natType = "NAT Type";
var addStr = "Add";
var yesStr ="Yes";
var allowStr ="Allow";
var FXSStr ="FXS";
var incomingCallHdr = "Incoming Call";
var vocoderHdr = "Vocoders";
var peerToPeerTitle= "Click to Configure Peer-to-Peer Numbers";
var digestAuthTitle = "Click to Configure Digest Authentication";
var antTitle= "Click to Configure Automatic Number Translation";
var click_pin_auth_Tt = "Click to Configure PIN Authentication";
var vocoderSelectAlert = "You can not move all codecs in Unused Codecs list, atleast one codec must be present in Used Vocoders list";
var fxsFxoCallerId = "FXS/FXO";
var fxsGsmCallerId = "FXS/Mobile";
var unUsedCodecHdr= "Unused Codecs";
var usedCodecHdr= "Used Codecs";

//New Tool Tip
var SIPTrunkTt ="To allow incoming and outgoing calls the SIP trunk must be enabled.";
var SIPTrunkModeTt ="Select the SIP Trunk mode as ‘Proxy’ to make alls using the ITSP services. Select ‘Peer-to-Peer’ to make peer-to-peer calls. Default: Peer-to-Peer.";
var SIPIDTt ="This is the user part of the full SIP URI. For example, if SIP URI provided by your ITSP is 12345@abc.com, enter 12345 in this field.";
var CheckSIPIDDurICCallTt ="For Proxy SIP Trunk, uncheck the flag if you don’t want system to check the SIP ID for SIP Trunk selection during incoming call. Default is checked.";
var authenticationIDTt ="Enter the authentication ID provided by your ITSP.";
var authenticationPasswordTt ="Enter the authentication password associated with the authentication ID provided by your ITSP.";
var SIPRegistrationTt ="To send REGISTER messages to the REGISTRAR server SIP Registration must be enabled.";
var ogCallsWithoutRegistrationTt ="To allow outgoing calls even when the SIP Trunk is not registered, Outgoing Calls Without Registration must be allowed.";
var registrarServerAddrPortTt ="Enter the IP address or domain name of the Registrar server and port number provided by the ITSP with whom you want to register this SIP Trunk. Valid port range: 1024 to 65534. Default: 5060.";
var enableOutboundProxyTt ="Enable Outbound Proxy, if your ITSP has provided an outbound proxy address to handle the SIP messages.";
var outboundProxyAddrPortTt ="If your ITSP uses an Outbound Proxy, enter the IP address or domain name of outbound proxy server and port number. Valid port range: 1024 to 65534. Default: 5060.";
var rinstanceInREGISTERTt ="\"rinstance\" is the proprietary header added by the system in the contact field of the REGISTER message to fetch its own contact binding, i.e. to know the Registration Expiry Timer assigned by the Registrar server. Consult your administrator whether you need to set this option or not.";
var reRegistrationTimerTt ="This is the time period after which SETU ATA will send registration request to maintain registration binding with the registrar server. Valid range: 1 to 65535 seconds. Default: 3600 seconds.";
var registrationRetryTimerTt ="When a registration attempt fails, the system will resend registration request to the Registrar server after the expiry of the Re-registration Timer. Valid range: 1 to 65535 seconds. Default: 10 seconds.";
var incomingCallroutingoptionsTt ="Select an appropriate option to route all the incoming calls on the SIP Trunk.";
var CLIonFXSTt ="You can display the Calling Line Identity (CLI) of either the Calling Party or the Called Party on the FXS port.";
var onConnectionMediasendTt ="To connect one way media (to play Dial tone, Ring Back tone, Routing tone etc.) while processing incoming calls, the system can send either 183 (Session Progress) or 200 OK (Call Matured) message.";
var authenticateIncomingCallTt ="You can let the system authenticate all incoming calls on the SIP Trunk using Digest Authentication.When you use Digest Authentication, the system will authenticate callers using MD5 authentication. For this feature to work you must enable ‘Digest Authentication’ and program the desired credentials in ‘Digest Authentication’ table.";
var vocoderTt ="Select and arrange, in preferential order, the voice codecs which are to be used for outgoing and incoming calls.";
var SIPTransportTt ="Select TCP or UDP or TCP (Fallback UDP) as transport protocol for carrying outgoing SIP/ SDP messages.";
var automaticNumberTranslationTt ="Automatic Number Translation (ANT) enables you to modify or translate the dialed number into another number. ANT is useful when you need to modify or replace a few digits of the dialed number with other digits, before the system dials out the number. To apply ANT on the SIP trunk, you must enable ANT and configure the Automatic Number Translation Table with dialed numbers and relevant strip digit and add prefix.";
var CLIRTt ="Enable CLIR to hide your CLI on outgoing calls.";
var CLIRSrcTt = "By default, all outgoing calls made from the SIP Trunk use the SIP ID of the SIP Trunk as CLI. However, you can instruct the system to send the FXS Port Number (for calls made from FXS Port) as CLI for outgoing calls made from the SIP Trunk.";
var anonymousCallRejectionTt ="Enable this feature if you want to reject incoming calls without CLI.";
var symmetricRTPTt ="This feature allows the system to send RTP packets to original IP and Port from where RTP packets are received, by ignoring the contact information received in SDP.";
var secRTPModeTt = "";
var mediaTypeTt = "";
var DNSSRVTt ="Enable DNS SRV to send DNS SRV query to DNS server.";
var NATTypeTt ="Select the required NAT traversal mechanism to be used if your system is installed behind a NAT router.";
var DTMFTt ="Select the DTMF sending/receiving mechanism that matches the DTMF sending/receiving mechanism of your ITSP or PBX. You can also set the DTMF ON time and OFF as required.";
var pauseTimerTt ="You may configure the Pause timer if you want to insert a delay before dialing the DTMF digits on the SIP trunk. The Pause Timer is typically used in Multi-Stage Dialing. Valid range: 1 to 9 seconds. Default: 2 seconds.";
var callHoldusingTt ="Select an appropriate call hold method compatible with your ITSP proxy server or PBX.";
var FAXProtocolTt ="Select the most suitable protocol for sending and receiving Fax calls.";

var fixedDestinationNumber211gTt = "If you selected as incoming call routing option either ‘Route to fixed destination through Mobile’ or ‘Route to FXS. If not answered within ring timer, route to fixed destination number through Mobile’, enter the Destination Number in this field.";
var ringTimerTt = "When there is an incoming call routed on FXS port, the system plays ring on phone connected to FXS port until the expiry of the Ring Timer. You may set this timer to the desired duration. Valid range: 01 to 99 seconds. Default: 45 seconds. ";
var CLISource211gTt = "By default, all outgoing calls made from the SIP Trunk use the SIP ID of the SIP Trunk as CLI. However, you can instruct the system to send either the FXS Port Number (for calls made from FXS Port) as CLI or the CLI received on Mobile port (for calls made from Mobile Port) as the CLI for outgoing calls made from the SIP Trunk.";
var rcocParaTt = "Using RCOC, you can instruct the system to route the incoming calls on the SIP trunk that are returned by called parties, back to same port from where the calls were originally made.You can enable RCOC in these cases: i) On Busy – the call is returned if the called party number was busy. ii) On No Response – the call is returned if the called party did not respond. iii) On Speech – the call is returned after speech was established with the called party.";

var authenticateIncomingCall211Tt = "You can let the system authenticate all incoming calls on the SIP Trunk using either Digest Authentication or PIN Authentication.When you use PIN Authentication, the system will ask callers for PIN, after answering the call on SIP Trunk. To use this feature, you must enable ‘PIN Authentication’ and store the PIN in the ‘PIN Authentication’ table. When you use Digest Authentication, the system will authenticate callers using MD5 authentication. For this feature to work you must enable ‘Digest Authentication’ and program the desired credentials in ‘Digest Authentication’ table.";
var fixedDestinationNumberTt = "If you selected as incoming call routing option either ‘Route to fixed destination through FXO’ or ‘Route to FXS. If not answered within ring timer, route to fixed destination number through FXO’, enter the Destination Number in this field.";
var CLISourceTt = "By default, all outgoing calls made from the SIP Trunk use the SIP ID of the SIP Trunk as CLI. However, you can instruct the system to send either the FXS Port Number (for calls made from FXS Port) as CLI or the CLI received on FXO port (for calls made from FXO Port) as the CLI for outgoing calls made from the SIP Trunk.";
var CLIR211Tt ="Enable CLIR to hide your CLI on outgoing calls.";
var passthroughFaxCodecTt = "Select the codec for FAX Passthrough as supported by ITSP/Server.";

var conToFxoOnRecStr="Connect to FXO on reciept of";
var giveDialToneFor="Give dial tone for";
var ifNotDialedRouteToFxs="If no digit is dialed, route to fixed destination number through FXS";
var ifNotDialedRouteToFxo="If no digit is dialed, route to fixed destination number through FXO";

var conToGsmOnRecStr="Connect to Mobile on reciept of";
var ifNotDialedRouteToGsm="If no digit is dialed, route to fixed destination number through Mobile";

var voice_mail_para_txt = "Voice Mail"
var subscribeforMWITt = "If your service provider/IPPBX supports SUBSCRIBE based message wait notification, enable the flag.";
var messageRetrievalNumberTt = "Enter the message retrieval number provided by service provider or IPPBX administrator. In case of new message notification and phone rings, system will out dial this number to connect you to voice mail server when you go off-hook.";
var sendMwiNotificationOnTt = "You can get the notification for new voice mail on either FXS1 or FXS2 port. Select the FXS port where you want to get the notification";
var messageWaitNotificationOnFxsPortTt = "System can notify you for new voice mail on FXS port in various ways. Select desired type of notification you want to use.";
