var fxoPortPara_tbl = new Array("FXO Port",
							"FXO Port Status",
							"Name", 
							"Dial Type",
							"Pulse Dial Ratio",
							"Ring Cadence Off Timer", 
							"DTMF Dial Timers",
							"DTMF ON Time",
							"DTMF OFF Time",
							"Automatic Number Translation",
							"Apply ANT?",
							"Dialed Number List ",
							"Substitute Number List",
							"Answer Supervision",
							"Answer Supervision Type",
							"Forced Maturity Timer",
							"Disconnect Signaling Detection",
							"Disconnect Signaling", 
							"Open Loop Disconnect Timer",
							"Disconnect Tone Detection",
							"Enable Disconnect Tone Detection?",
							"Disconnect Tone ON Time 1",
							"Disconnect Tone OFF Time 1",
							"Calling Line Identification (CLI)",
							"CLI Type",
							"PIN Authentication ",
							"Pause Timer",
							"FXO Busy Wait Timer",
							"Time for which the system should wait for FXO to be free for routing call through it",
							"Incoming Calls",
							"Allow Incoming Calls?",
							"Route the Incoming Calls ",
							"Route to FXS",
							"Route to fixed destination number as per incoming call route selection",
							"Route to FXS. If not answered within ring timer, route to fixed destination number as per incoming call route selection ",
							"Answer the call, collect number & route as per incoming call route selection", 
							"Route to FXS. If not answered within ring timer, answer the call, collect number & route as per incoming call route selection", 
							"Fixed Destination Number",
							"Incoming call route ",
							"Ring Timer",
							"AC Impedance ",
							"Echo Cancellation  ",
							"Enable",
							"Tail Length ",
							"Volume Control ",
							"Speaking Volume",
							"Listening Volume",
							"Flash Timer",
							"Disconnect Tone ON Time 2",
							"Disconnect Tone OFF Time 2",
							"Disconnect Tone ON Time 3",
							"Disconnect Tone OFF Time 3",
							"Disconnect Tone ON Time 4",
							"Disconnect Tone OFF Time 4");


var acImpdeancePara= new Array("600 ? ",
								"900 ? ",
								"270 ? + (750 ? || 150  nF) ",
								"220 ? + (820 ? || 115 nF) ",
								"370 ? + (620 ? || 310  nF) ",
								"320 ? + (1050 ? || 230 nF) ",
								"370 ? + (820 ? || 110  nF) ",
								"275 ? + (780 ? || 115  nF) ",
								"120 ? + (820 ? || 110  nF) ",
								"350 ? + (1000 ? || 210 nF) ",
								"200 ? + (680 ? || 100 nF) ",
								"600 ? + 2.16 F ",
								"900 ? + 1 F ",
								"900 ? + 2.16 F ",
								"600 ? + 1 F ",
								"Global complex impedance");

var dialType = new Array("Tone",
						"Pulse");


var pulseDialRatio = new Array("40:60",
								"50:50",
								"33:67");


var answerSupervision = new Array("None",
									"Polarity Reversal");



var disconnectSignalType = new Array("None",
									"Polarity Reversal",
									"Open Loop Disconnect");

var cliType = new Array("None",
						"DTMF",
						"FSK, during ring", 
						"FSK, before ring");

var icCallRoute = new Array("SIP1",
							"SIP2",
							"SIP3",
							"Dialed Number Table"); 



var Fixed_dest_num_Err_msg = "Fixed Destination Number can not be left balnk";
var Invalid_char_Err_msg ="Input contains invalid Character(s),Only ASCII characters are allowed."
var Invalid_input_char_Err_msg="Input contains invalid Character(s),Only (0-9,A to Z,a to z,!%'*-+.) is allowed"
var Time_left_blank_Err_msg	= "Timer can not be left blank.";
var Invalid_input_09_Err_msg ="Input contains invalid Character(s), (0-9) is allowed.";

var incomingCallHdr = "Incoming Call"; 
var icCallRouteOptionHdr= "Incoming Call Routing Options"; 
var ignoreIcCall = "Ignore Incoming Calls" ;
var click_dnb_Tt = "Click to Configure Dialed Number Table" 
var authIcCallsLbl = "Authenticate Incoming Calls"; 
var click_pin_auth_Tt = "Click to Configure PIN Authentication"; 
var antTitle= "Click to Configure Automatic Number Translation";

//////////////////////////////////////////////////////////////////////////

var FXOPORTPARA_TBL = {"FXO_PORT":0,
					"FXO_PORT_STATUS":1,
					"FXO_PORT_NAME":2,
					"DIAL_TYPE":3,
					"PULSE_DIAL_RATIO":4,
					"RING_CADANCE_OFF_TIMER":5,
					"DTMF_DIAL_TIMERS":6,
					"DTMF_ON_TIME":7,
					"DTMF_OFF_TIME":8,
					"AUTOMATIC_NUMBER_TRANSLATION":9,
					"APPLY_ANT":10,
					"DIALED_NUM_LIST":11,
					"SUB_NUM_LIST":12,
					"ANSWER_SUPERVISION":13,
					"ANSWER_SUPERVISION_TYPE":14,
					"FORCED_MATURITY_TIMER":15,
					"DISCONNECT_SIGNAL_DETECTION":16,
					"DISCONNECT_SIGNAL_TYPE":17,
					"OPEN_LOOP_DISCONNECT_TIMER":18,
					"DISCONNECT_TONE_DETECTION":19,
					"ENABLE_DISCONNECT_TONE_DETECTION":20,
					"DISCONNECT_TONE_ON_TIME_1":21,
					"DISCONNECT_TONE_OFF_TIME_1":22,
					"CALLING_LINE_IDENTIFICAITON":23,
					"CLI_TYPE":24,
					"PIN_AUTHENTICATION":25,
					"PAUSE_TIMER":26,
					"FXO_BUSY_WAIT_TIMER":27,
					"TIME_SYSTEM_WAIT_FXO_TO_FREE":28,
					"INCOMING_CALLS":29,
					"ALLOW_INCOMING_CALLS":30,
					"ROUTE_INCOMING_CALLS":31,
					"ROUTE_TO_FXS":32,
					"ROUTE_TO_FIX_DESTION_IC_NUMBER":33,
					"ROUTE_TO_FXS_NOT_ANS_FDN":34,
					"ANSWER_CALL_REOUTE_TO_DIALED_NUM":35,
					"ROUTE_TO_FXS_NOT_ANS_COLLECT_DIGIT_ROUTE_TO_DIALED_NUM":36,
					"FIXED_DESTINATION_NUMBER":37,
					"INCOMING_CALL_ROUTE":38,
					"RING_TIMER":39,
					"AC_IMPEDANCE":40,
					"ECHO_CANCELLATION":41,
					"ENABLE":42,
					"TAIL_LENGTH":43,
					"VOLUME_CONTROL":44,
					"SPEAKING_VOLUME":45,
					"LISTENING_VOLUME":46,
					"FXO_FLASH_TIMER":47,
					"DISCONNECT_TONE_ON_TIME_2":48,
					"DISCONNECT_TONE_OFF_TIME_2":49,
					"DISCONNECT_TONE_ON_TIME_3":50,
					"DISCONNECT_TONE_OFF_TIME_3":51,
					"DISCONNECT_TONE_ON_TIME_4":52,
					"DISCONNECT_TONE_OFF_TIME_4":53};


var DIAL_TYPE = {"TONE":0,
				"PULSE":1};


var PULSE_DIAL_RATIO = {"FOURTY_SIXTY":0,
						"FIFTY_FIFTY":1,
						"THIRTYTHREE_SIXTYSEVER":2};

var ANSWER_SUPERVISION = {"NONE":0,
							"POLARITY_REVERSAL":1};

var DISCONNECT_SINGAL_TYPE = {"NONE":0,
							"POLARITY_REVERAL":1,
							"OPEN_LOOP_DISCONNECT":2};

var CLI_TYPE = {"NONE":0,
				"DTMF":1,
				"FSK_DURING_RING":2,
				"FSK_BEFORE_RING":3};

var IC_CALL_ROUTE = {"SIP1":0,
					"SIP2":1,
					"SIP3":2,
					"DIALED_NUM_BASED":3};

//New Tool Tip
var fXOPortTt = "To allow incoming and outgoing calls the FXO port must be enabled.";
var nameTt = "Assign a name to the FXO Port. This name will be sent to the called party in the Display Name field in the SIP message.";
var icCallRouteOptionsTt = "Select an appropriate option to route all the incoming calls on the FXO port.";
var fixedDestNumberTt = "If you selected as incoming call routing option either ‘Route to fixed destination as per incoming call route selection’ or ‘Route to FXS. If not answered within ring timer, route to fixed destination number as per incoming call route selection’, enter the Destination Number in this field.";
var icCallRouteDestTt = "Select an appropriate option to route all the incoming calls on the FXO Port."; 
var ringTimerTt = "When there is an incoming call on the Mobile port is routed on FXS port, the system plays ring on phone connected to FXS port until the expiry of the Ring Timer. You may set this timer to the desired duration. Valid range: 01 to 99 seconds. Default: 45 seconds.";
var authIncomingCallsTt = "You can let the system authenticate all incoming calls on the FXO Port using PIN Authentication.When you use PIN Authentication, the system will ask callers for PIN, after answering the call on the FXO port. To use this feature, you must enable ‘PIN Authentication’ and store the PIN in the ‘PIN Authentication’ table. ";
var answerSupervisionTt = "SETU ATA uses this signaling to inform the event to FXS Port, about answering of the call by remote party, whenever the call is made through FXO Port. This signaling is used for the application where the PCO machine or PBX is connected to the FXS Port of ATA, should start billing for the event of the matured call. You can select either None (if exchange from where you have taken services for FXO does not support Answer Supervision) or Polarity Reversal.If None is selected, you can still use Answer Supervision by program Forced Maturity Timer to an appropriate value. Forced Maturity Timer signifies the value after expiry of which, the call will be considered as matured. Valid range: 00 to 99 sec. Default: 15 sec. "; 
var disconnectSignalingTt = "SETU ATA uses this signaling to inform the event to FXS Port, about disconnection of the call by remote party, whenever the call is made through FXO Port. This signaling is used for the application where the PCO machine or PBX is connected to the FXS Port of ATA, should stop billing for the disconnected call. You can select either None (if exchange from where you have taken services for FXO does not support Disconnect Signaling) or Polarity Reversal or Open Loop Disconnect.If Disconnect Signaling is set to ‘Open Loop Disconnect’, you should also program Open Loop Disconnect Timer to an appropriate value. Valid range: 001 to 999 msec. Default: 200 msec."; 
var disconnectToneDetectionTt = "SETU ATA supports detection of the Disconnect Tone and use it to release the FXO Port of ATA when remote party disconnects the call. Enable Disconnect Tone Detection if your exchange from where you have taken services for FXO supports the feature. You also need to program the Disconnect Tone On Timer and Off Time to an appropriate value. Valid range: 0000 to 9999 msec. Default: 750 msec.";
var automaticNumTranslationTt = "Automatic Number Translation (ANT) enables you to modify or translate the dialed number into another number. ANT is useful when you need to modify or replace a few digits of the dialed number with other digits, before the system dials out the number.To apply ANT on the FXO port, you must enable ANT and configure the Automatic Number Translation Table with dialed numbers and substitute numbers.";
var CLITypeTt = "When there is an incoming call on FXO, system will detect CLI as per selected CLI type. Select CLI type as supported by your exchange. Default: ‘FSK, during ring’.";
var dialTypeTt = "You can set Dial Type to either ‘Pulse’ or ‘Tone’ depends on the exchange from where you have taken services for FXO. Most of the service providers now support Tone dialing, but you need to change the setting to Pulse if you service provider supports only Pulse dialing. Default: ‘Tone’.";
var PulseDialRatioTt = "You need to change this setting only if ‘Dial Type’ is set to ‘Pulse’. Pulse Dial Ratio for dialing pulse are different for different countries, hence select the ratio as per the country where ATA is installed. Default: 33:67.";
var flashTimerTt = "‘Flash Timer’ specifies the time period for which loop current breaks that is considered as Flash. Service provider uses this event for various features like call hold. Default: 600 milliseconds.";
var ringCadenceOffTimerTt = "If Ring Cadence Off Timer programmed here is less then the ring cadence off timer of exchange, each new ring (for the same call) will be considered as new call. To prevent this, Ring Cadence Off Timer in ATA should be same or more then the ring cadence off timer of exchange. Valid range: 1 to 9 sec. Default: 4 sec.";
var DTMFONTimeTt = "You can select the appropriate DTMF On time for sending DTMF digits. The DTMF On Time is the time for which the DTMF digit which is to be out dialed remains ON. Valid range: 70 msec to 200 msec. Default: 70 msec.";
var DTMFOFFTimeTt = "You can select the appropriate DTMF OFF time as the time gap between two DTMF digits. Valid range: 100 msec to 200 msec. Default: 100msec.";
var pauseTimerTt = "While making the call from FXO Port, ATA adds some delay before dialing out the number after FXO Port goes off-hook. This delay is programmed as Pause Timer. During this time, no digit is dialed by the ATA on FXO Port. This is used when exchange takes some tome to detect that FXO Port is off-hook. Valid range: 1 to 9 sec. Default: 1 sec.";
var FXOBusyWaitTimerTt = "This timer is used when incoming call routing option on SIP Trunk is set to ‘Answer the call, collect number & route to FXO’. After collecting number on SIP Trunk, if FXO port found busy, system will wait for this time for FXO port to become free. During this time, caller will get call routing tone. Valid range: 00 to 99 seconds. Default: 45 seconds.";
var echoCancellationTt = "Echo cancellation is a technique that allows isolation and filtering of unwanted signals caused by echoes. To improve quality of speech, enable Echo Cancellation and set the ‘Tail length’ according to the length of the echo. Default:  Echo Cancellation is enabled; Tail length: 32 milliseconds.";
var ACImpedanceTt = "This feature allows you to program the AC impedance of FXO port.";
var speakingVolumeTt = "You may adjust the speech volume being transmitted from the FXO port. Default: 0 db."
var listeningVolumeTt = "You may adjust the speech volume being received on the FXO port. Default: 0 db."

						
var giveDialToneFor="Give dial tone for";
var ifNotDialedRouteToFxo="If no digit is dialed, route to fixed destination number as per incoming call route selection";