//*************************************************************************
// This function will check for the ASCII characters in supplied string,
// If there are non-ASCII characters present in the string it will 
// display an error message and returns false.
//*************************************************************************

function ValidateASCII(obj)
{	
	if(ValidationForAmpLtGt(obj)== false)
	{
	    alert(Invalid_ip_char_err_msg);
	    obj.select();
	    obj.focus();
	    return false;
	}
	for (var charIndex = 0; charIndex < obj.value.length; charIndex++)
	{
		if ((0 <= obj.value.charCodeAt(charIndex)) && (127 >= obj.value.charCodeAt(charIndex)))
		{
			continue;
		}
		else
		{
			alert(Ascii_alert_msg_str);
			obj.select();
			obj.focus();
			return false;
		}
		return true;
	}
}

//**********************************************************
//function ValidateAlphaNumeric(objName)
//**********************************************************
function ValidateAlphaNumeric(objName)
{
	var objTemp=objName;
	var objString=objTemp.value;

	var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789~#*. :;=?@[]^_'{|}-!$%`()+\\\\,/\\\"\"";
	

	var alertstr=Invalid_ip_char_err_msg;

	return ValidateString(objTemp,objString,valid,alertstr);
}


//**********************************************************
//function ValidateString(objTemp,objString,valid,alertstr)
//**********************************************************
function ValidateString(objTemp,objString,valid,alertstr)
{
	for(var i=0;i<objString.length;i++)
	{
		if(valid.indexOf(objString.charAt(i)) < 0)
		{
			alert(alertstr);
			objTemp.select();
			objTemp.focus();
			return false;
		}
	}
	return true;
}

//**********************************************************
//function ValidateNumericRange(objName,minVal,maxVal)
//**********************************************************
function ValidateNumericRange(objName,minVal,maxVal)
{
	var objTemp=objName;
	if(ValidateNumeric(objTemp)==true)
	{
		return CheckRange(objName,minVal,maxVal);
	}
	return false;
}
//**********************************************************
//function CheckRange(objName,minVal,maxVal)
//**********************************************************
function CheckRange(objName,minVal,maxVal)
{
	var objInt=parseInt(objName.value,10);
	if(objInt >= minVal && objInt <= maxVal)
	{
		return true;
	}
	alert(Invalid_Range_err_msg + minVal + " - " + maxVal + ".");
	objName.select();
	objName.focus();
	return false;
}

//**********************************************************
//function ValidateNumeric(objName)
//**********************************************************
function ValidateNumeric(objName)
{
 	var objTemp=objName;
	var objString=objTemp.value;
	var valid="0123456789";
	alertstr=Invalid_ip_err_msg;

	return ValidateString(objTemp,objString,valid,alertstr);
}

//**********************************************************
//function ValidateName(objName)
//**********************************************************
function ValidateName(objName)
{
	var objTemp=objName;
	var objString=objTemp.value;
	var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!%'*-+.";
	var alertstr=Invalid_ip_err_msg1;

	return ValidateString(objTemp,objString,valid,alertstr);
}

//**********************************************************
//function ValidateFxsName
//**********************************************************
function ValidateFxsName(objName)
{
	var objTemp=objName;
	var objString=objTemp.value;
	var len = objString.length;
	//--if name is entered within "" strings..don't validate it..
	//-- allow it..
	if(objString.charAt(0) == "\"" &&
			objString.charAt(len - 1) == "\"") 
	{		
		var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789~#*. :;=?@[]^_'{|}-!$%`()+\\\\,/\\\"\"";
		var alertstr = Invalid_ip_char_err_msg;
		return ValidateString(objTemp,objString,valid,alertstr);	
	}

	var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_.!~* ";
	var alertstr=Invalid_Name_err_msg;
	return ValidateString(objTemp,objString,valid,alertstr);
}
//**********************************************************
//function ValidateIds(objName) sipid, userid, auth id etc..
//**********************************************************
function ValidateIds(objName)
{
	var objTemp=objName;
	var objString=objTemp.value;	

	var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_.!~*'+";
	var alertstr=Invalid_Id_err_msg;

	return ValidateString(objTemp,objString,valid,alertstr);
}
//**********************************************************
//function ValidatePsw
//**********************************************************
function ValidatePsw(objName)
{	
	if(ValidationForAmpLtGt(objName)== false)
	{
	    alert(Invalid_ip_char_err_msg);
	    objName.select();
	    objName.focus();
	    return false;
	}
	/*var objTemp=objName;
	var objString=objTemp.value;	
	var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_.!~*'=+$,";
	var alertstr=Invalid_Psw_err_msg;

	return ValidateString(objTemp,objString,valid,alertstr);
	*/
	return true;
}
function ValidationForAmpLtGt(objName)
{    
    var objString=objName.value;    
    if(CheckCharPresance(objString,'&')== true)
    {
			return false;
    }
    if(CheckCharPresance(objString,'<')== true)
    {
			return false;
    }
    if(CheckCharPresance(objString,'>')== true)
    {
			return false;
    }
		return true;
}
function CheckCharPresance(objString,whichChar)
{
	for(i=0;i<objString.length;i++)	
	{
		if(objString.charAt(i) == whichChar)
		{
		  return true;
		}
		
	}
	return false;
}
//**********************************************************
//function ChangeIpStr(Obj)
//**********************************************************
function ChangeIpStr(Obj)
{
	var ipaddr = Obj.value;
	var parts = ipaddr.split(".");
	if(ipaddr != "")
	{
		for(var i=0; i<parts.length; i++)
		{
			if(parts[i].charAt(0) == 0)
			{
				if(parts[i].charAt(1) == "")
				{	
					parts[i] = parts[i].charAt(0);
				}
				else if(parts[i].charAt(1) == 0)
				{
					parts[i] = parts[i].charAt(2);
				}
				else
				{
					parts[i] = parts[i].charAt(1)+parts[i].charAt(2);
				}
			}
		}	
		Obj.value = parts[0]+"."+parts[1]+"."+parts[2]+"."+parts[3];
	}
}
//**********************************************************
//function CheckIpStrType(objTemp,objString, valid, testType)
//**********************************************************
function CheckIpStrType(objTemp,objString, valid, testType)
{
 if(testType == 0)
 {
		//-- check for which type of entery.. url/ip address?
		for(var i=0;i<objTemp.value.length;i++)
		{
			if(valid.indexOf(objString.charAt(i)) < 0)
			{

				return false;
			}
		}
		return true;	
 }
 //--check for dot is present or ot
 else
 {
		for(var i=0;i<objTemp.value.length;i++)
		{
			if(objString.charAt(i) == "." )
			{				
				//--if dot is present go for ip addr validation
				return true;
			}
		}
		//--else only numeric data
		return false;
 }
}

//**********************************************************
//function ValidateSipServerAddress(objName)
//**********************************************************
function ValidateSipServerAddress(objName)
{    
	var objTemp = objName;
	var parts = objName.value.split(":");
	var objString = parts[0];

	//********************************************************
	//--
	//********************************************************
	
	if(ValidateASCII(objTemp) == false)
	{
		return false;
	}
	
	//********************************************************
	//--
	//********************************************************
	if(objName.value!="")
	{
		var valid="0123456789.";
		
		//--check whether url entery or user enters ip address
		//--parameter 0 for -> wheter entery contains char bet 0-9 and dot?
		if(CheckIpStrType(objName,objName.value,valid, 0) == true)
		{
			//--entery is numberic only or with dot?
			//--if only numeric valid address, if dot is present check ip //--validatiton			
			//--last paramter 	 1--> for checking only dot is present or not?
			valid = ".";
			if(CheckIpStrType(objName,
					objName.value,
					valid,1) == true)
			{
				//--if numberic field enters alsong with dot..chek for only ip //--address
				if(CheckIpAddress(objName,0,255,3) == false)
				{
						alert(InValid_IP_Err_msg);
						objName.select();
						objName.focus();
						FLAG=1;
						return false;
				}
				ChangeIpStr(objName);
			}
		}
	}
}

//**********************************************************
//function ValidateServerAddress(objName)
//**********************************************************
function ValidateServerAddress(objName)
{    
	var objTemp = objName;
	var parts = objName.value.split(":");
	var objString = parts[0];

	
	var valid="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.-";
	var alertstr = Invalid_serverAddr_err_msg;
	//********************************************************
	//--
	//********************************************************
	
	
	if(ValidateString(objTemp,objString,valid,alertstr) == false)
	{
		return false;
	}
	
	//********************************************************
	//--
	//********************************************************
	if(objName.value!="")
	{
		var valid="0123456789.";
		
		//--check whether url entery or user enters ip address
		//--parameter 0 for -> wheter entery contains char bet 0-9 and dot?
		if(CheckIpStrType(objName,objName.value,valid, 0) == true)
		{
			//--entery is numberic only or with dot?
			//--if only numeric valid address, if dot is present check ip //--validatiton			
			//--last paramter 	 1--> for checking only dot is present or not?
			valid = ".";
			if(CheckIpStrType(objName,
					objName.value,
					valid,1) == true)
			{
				//--if numberic field enters alsong with dot..chek for only ip //--address
				if(CheckIpAddress(objName,0,255,3) == false)
				{
						alert(InValid_IP_Err_msg);
						objName.select();
						objName.focus();
						FLAG=1;
						return false;
				}
				ChangeIpStr(objName);
			}
		}
	}

}


//**********************************************************
//function ValidateNumber(objName)
//**********************************************************
function ValidateNumber(objName)
{
 	var objTemp=objName;
	var objString=objTemp.value;
	valid="0123456789#*";
	alertstr=Invalid_ip_err_msg2;
	return ValidateString(objTemp,objString,valid,alertstr);
}

//**********************************************************
//function PadZeroForThreeDigit(objString)
//**********************************************************
function PadZeroForThreeDigit(objString)
{

	var objTemp=objString;
	if (objString.value.length == 0)
		return true;

	if(objString.value.length<2)
	{	
		objString.value="00"+objTemp.value;
		return true;
	}
	else if(objString.value.length<3)
	{	
		objString.value="0"+objTemp.value;
		return true;
	}
	
	return true;
}
//**********************************************************
//function PadZeroForFourDigit(objString)
//**********************************************************
function PadZeroForFourDigit(objString)
{
	var objTemp=objString;

	if(objString.value.length<1)
	{	
		return true;
	}
	if(objString.value.length<2)
	{	
		objString.value="000"+objTemp.value;
		return true;
	}
	else if(objString.value.length<3)
	{	
		objString.value="00"+objTemp.value;
		return true;
	}
	if(objString.value.length<4)
	{	
		objString.value="0"+objTemp.value;
		return true;
	}
	return true;
}
//**********************************************************
//function PadZeroForFiveDigit(objString)
//**********************************************************
function PadZeroForFiveDigit(objString)
{

	var objTemp=objString;
	if (objString.value.length == 0)
		return true;
	if(objString.value.length == 1)
	{	
		objString.value="0000"+objTemp.value;
		return true;
	}
	else if(objString.value.length == 2)
	{	
		objString.value="000"+objTemp.value;
		return true;
	}
	else if(objString.value.length == 3)
	{	
		objString.value="00"+objTemp.value;
		return true;
	}
	else if(objString.value.length == 4)
	{	
		objString.value="0"+objTemp.value;
		return true;
	}
	
	return true;
}

////////////
function ConvertNumToNDigit(number, maxDigit)
{
	var cnt = 1;
	var tmpStr = "";

	while (0 < maxDigit)
	{
		cnt *= 10;
		maxDigit--;
	}

	cnt/=10;
	for (; cnt != 1; cnt/=10)
	{
		if (cnt > number)
		{
			tmpStr +="0";
			continue;
		}
	}

	return (tmpStr + number);
}

function ValidateNumericRangeAndDefault(objName,minVal,maxVal, dfltValue)
{
	var objTemp=objName;
	if(objName.value == "")
	{
		alert(Invalid_Range_err_msg + minVal + " - " + maxVal + " " +And_err_msg+ " "+dfltValue+".");
		objName.select();
		objName.focus();
		return false;
	}
	if(objName.value == dfltValue)
	{
		return true;
	}
	if(ValidateNumeric(objTemp)==true)
	{
		return CheckRangeDflt(objName,minVal,maxVal, dfltValue);
	}
	return false;
}

function CheckRangeDflt(objName,minVal,maxVal,dfltValue)
{
	var objInt=parseInt(objName.value,10);
	if(objInt >= minVal && objInt <= maxVal)
	{
		return true;
	}
	alert(Invalid_Range_err_msg + minVal + " - " + maxVal + " " +And_err_msg+ " "+dfltValue+".");
	objName.select();
	objName.focus();
	return false;
}

function SetDefaultValue(objName, dfltValue)
{
	objName.value = dfltValue;
}

function IsBlankPassword(objName)
{
	if(objName.value != "")
		return true;
	alert(Password_To_Decrypt_Not_Blank_msg);
	objName.select();
	objName.focus();
	return false;
}