var fxoPortPara_tbl = new Array("Porto de FXO",
							"Status portuário de FXO",
							"Nome", 
							"Tipo do seletor",
							"Relação do seletor do pulso",
							"Cadência do anel fora do temporizador", 
							"Temporizadores do seletor de DTMF",
							"DTMF no tempo",
							"DTMF FORA do tempo",
							"Tradução automática do número",
							"Aplicar a FORMIGA?",
							"Lista discada do número ",
							"Lista Substitute do número",
							"Supervisão da resposta",
							"Tipo da supervisão da resposta",
							"Temporizador forçado da maturidade",
							"Desconectar a deteção de sinalização",
							"Desconectar a sinalização", 
							"Temporizador da disconexão do laço aberto",
							"Desconectar a deteção do tom",
							"Permitir a deteção do tom da disconexão?",
							"Disconnect Tone ON Time 1",
							"Disconnect Tone OFF Time 1",
							"Linha identificação da chamada",
							"Tipo do CLI",
							"Autenticação do PIN ",
							"Temporizador da pausa",
							"Temporizador ocupado da espera de FXO",
							"Tempo por que o sistema deve esperar FXO para estar livre para a chamada do roteamento com ele",
							"Chamadas entrantes",
							"Permitir chamadas entrantes?",
							"Distribuir as chamadas entrantes ",
							"Rota a FXS",
							"Rota a número de destino fixo como por a seleção da rota da chamada entrante",
							"Rota a FXS. Se não respondido dentro do temporizador do anel, rota a número de destino fixo como por a seleção da rota da chamada entrante ",
							"Responder à chamada, coletar o número & distribui-lo como por a seleção da rota da chamada entrante", 
							"Rota a FXS. Se não respondido dentro do temporizador do anel, responder à chamada, coletar o número & distribui-lo como por a seleção da rota da chamada entrante", 
							"Número de destino fixo",
							"Rota da chamada entrante ",
							"Temporizador do anel",
							"Impedância da C.A. ",
							"Cancelamento de eco  ",
							"Permitir",
							"Atar o comprimento ",
							"Controle de volume ",
							"Volume falador",
							"Volume de escuta",
							"Temporizador instantâneo",
							"Disconnect Tone ON Time 2",
							"Disconnect Tone OFF Time 2",
							"Disconnect Tone ON Time 3",
							"Disconnect Tone OFF Time 3",
							"Disconnect Tone ON Time 4",
							"Disconnect Tone OFF Time 4");



var acImpdeancePara= new Array("600? ",
								"900? ",
								"270? + (750? || 150 N-F) ",
								"220? + (820? || 115 N-F) ",
								"370? + (620? || 310 N-F) ",
								"320? + (1050? || 230 N-F) ",
								"370? + (820? || 110 N-F) ",
								"275? + (780? || 115 N-F) ",
								"120? + (820? || 110 N-F) ",
								"350? + (1000? || 210 N-F) ",
								"200? + (680? || 100 N-F) ",
								"600? + 2.16 F ",
								"900? + 1 F ",
								"900? + 2.16 F ",
								"600? + 1 F ",
								"Impedância complexa global");

var dialType = new Array("Tom",
						"Pulso");


var pulseDialRatio = new Array("40:60",
								"50:50",
								"33:67");


var answerSupervision = new Array("Nenhum",
									"Reversão de polaridade");



var disconnectSignalType = new Array("Nenhum",
									"Reversão de polaridade",
									"Disconexão do laço aberto");

var cliType = new Array("Nenhum",
						"DTMF",
						"FSK, durante o anel", 
						"FSK, antes do anel");

var icCallRoute = new Array("SIP1",
							"SIP2",
							"SIP3",
							"Tabela discada do número"); 



var Fixed_dest_num_Err_msg = "O número de destino fixo não pode ser deixado o balnk";
var Invalid_char_Err_msg ="A entrada contem caráteres inválidos, simplesmente os caráteres de ASCII são permitidos."
var Invalid_input_char_Err_msg="% ' de *-+.) é reservado"
var Time_left_blank_Err_msg	= "O temporizador não pode ser deixado em branco.";
var Invalid_input_09_Err_msg ="A entrada contem caráteres inválidos, (0-9) é reservada.";

var incomingCallHdr = "Chamada entrante"; 
var icCallRouteOptionHdr= "Opções do roteamento da chamada entrante"; 
var ignoreIcCall = "Ignorar chamadas entrantes" 
var click_dnb_Tt = "Estalar para configurar a tabela discada do número" 
var authIcCallsLbl = "Autenticar chamadas entrantes"; 
var click_pin_auth_Tt = "Estalar para configurar a autenticação do PIN"; 
var antTitle= "Estalar para configurar a tradução automática do número"

//////////////////////////////////////////////////////////////////////////


var FXOPORTPARA_TBL = {"FXO_PORT":0,
					"FXO_PORT_STATUS":1,
					"FXO_PORT_NAME":2,
					"DIAL_TYPE":3,
					"PULSE_DIAL_RATIO":4,
					"RING_CADANCE_OFF_TIMER":5,
					"DTMF_DIAL_TIMERS":6,
					"DTMF_ON_TIME":7,
					"DTMF_OFF_TIME":8,
					"AUTOMATIC_NUMBER_TRANSLATION":9,
					"APPLY_ANT":10,
					"DIALED_NUM_LIST":11,
					"SUB_NUM_LIST":12,
					"ANSWER_SUPERVISION":13,
					"ANSWER_SUPERVISION_TYPE":14,
					"FORCED_MATURITY_TIMER":15,
					"DISCONNECT_SIGNAL_DETECTION":16,
					"DISCONNECT_SIGNAL_TYPE":17,
					"OPEN_LOOP_DISCONNECT_TIMER":18,
					"DISCONNECT_TONE_DETECTION":19,
					"ENABLE_DISCONNECT_TONE_DETECTION":20,
					"DISCONNECT_TONE_ON_TIME_1":21,
					"DISCONNECT_TONE_OFF_TIME_1":22,
					"CALLING_LINE_IDENTIFICAITON":23,
					"CLI_TYPE":24,
					"PIN_AUTHENTICATION":25,
					"PAUSE_TIMER":26,
					"FXO_BUSY_WAIT_TIMER":27,
					"TIME_SYSTEM_WAIT_FXO_TO_FREE":28,
					"INCOMING_CALLS":29,
					"ALLOW_INCOMING_CALLS":30,
					"ROUTE_INCOMING_CALLS":31,
					"ROUTE_TO_FXS":32,
					"ROUTE_TO_FIX_DESTION_IC_NUMBER":33,
					"ROUTE_TO_FXS_NOT_ANS_FDN":34,
					"ANSWER_CALL_REOUTE_TO_DIALED_NUM":35,
					"ROUTE_TO_FXS_NOT_ANS_COLLECT_DIGIT_ROUTE_TO_DIALED_NUM":36,
					"FIXED_DESTINATION_NUMBER":37,
					"INCOMING_CALL_ROUTE":38,
					"RING_TIMER":39,
					"AC_IMPEDANCE":40,
					"ECHO_CANCELLATION":41,
					"ENABLE":42,
					"TAIL_LENGTH":43,
					"VOLUME_CONTROL":44,
					"SPEAKING_VOLUME":45,
					"LISTENING_VOLUME":46,
					"FXO_FLASH_TIMER":47,
					"DISCONNECT_TONE_ON_TIME_2":48,
					"DISCONNECT_TONE_OFF_TIME_2":49,
					"DISCONNECT_TONE_ON_TIME_3":50,
					"DISCONNECT_TONE_OFF_TIME_3":51,
					"DISCONNECT_TONE_ON_TIME_4":52,
					"DISCONNECT_TONE_OFF_TIME_4":53};


var DIAL_TYPE = {"TONE":0,
				"PULSE":1};


var PULSE_DIAL_RATIO = {"FOURTY_SIXTY":0,
						"FIFTY_FIFTY":1,
						"THIRTYTHREE_SIXTYSEVER":2};

var ANSWER_SUPERVISION = {"NONE":0,
							"POLARITY_REVERSAL":1};

var DISCONNECT_SINGAL_TYPE = {"NONE":0,
							"POLARITY_REVERAL":1,
							"OPEN_LOOP_DISCONNECT":2};

var CLI_TYPE = {"NONE":0,
				"DTMF":1,
				"FSK_DURING_RING":2,
				"FSK_BEFORE_RING":3};

var IC_CALL_ROUTE = {"SIP1":0,
					"SIP2":1,
					"SIP3":2,
					"DIALED_NUM_BASED":3};

var fXOPortTt = "Para permitir chamadas entrantes e que parte o porto de FXO deve ser permitido.";
var nameTt = "Atribuir um nome ao porto de FXO. Este nome será emitido ao partido chamado no campo conhecido da exposição na mensagem do SORVO.";
var icCallRouteOptionsTt = "Selecionar uma opção apropriada para distribuir todas as chamadas entrantes no porto de FXO.";
var fixedDestNumberTt = "Se você selecionou como a rota do `da opção do roteamento da chamada entrante a destino fixo como por a seleção da rota da chamada entrante' ou a rota do `a FXS. Se não respondido dentro do temporizador do anel, a rota a número de destino fixo como por a seleção da rota da chamada entrante', incorpora o número de destino a este campo.";
var icCallRouteDestTt = "Selecionar uma opção apropriada para distribuir todas as chamadas entrantes no porto de FXO."; 
var ringTimerTt = "Quando há uma chamada entrante no porto móvel está distribuída no porto de FXS, o sistema joga o anel no telefone conetado ao porto de FXS até a expiração do temporizador do anel. Você pode ajustar este temporizador à duração desejada. Escala válida: 01 a 99 segundos. Defeito: 45 segundos.";
var authIncomingCallsTt = "Você pode deixar o sistema autenticar todas as chamadas entrantes no porto de FXO using PIN Authentication.When que você usa a autenticação do PIN, o sistema pedirá chamadores o PIN, após ter respondido ao convite o porto de FXO. Para usar esta caraterística, você deve permitir a autenticação do PIN do `' e armazenar o PIN tabela na autenticação do PIN do `'. ";
var answerSupervisionTt = "Usos ATA de SETU esta sinalização informar o evento ao porto de FXS, sobre a resposta da chamada pelo partido remoto, sempre que a chamada é feita através do porto de FXO. Esta sinalização é usada para a aplicação onde a máquina de PCO ou o PBX são conetados ao porto de FXS de ATA, deve começar o faturamento para o evento da chamada amadurecida. Você pode não selecionar ou nenhuns (se a troca de onde você tomou serviços para FXO não suporta a supervisão da resposta) ou a polaridade Reversal.If que nenhum é selecionado, você pode ainda usar a supervisão da resposta pelo temporizador forçado programa da maturidade a um valor apropriado. O temporizador forçado da maturidade significa o valor após a expiração de que, a chamada será considerada como amadurecido. Escala válida: segundo 00 a 99. Defeito: segundo 15. "; 
var disconnectSignalingTt = "Usos ATA de SETU esta sinalização informar o evento ao porto de FXS, sobre a desconexão da chamada pelo partido remoto, sempre que a chamada é feita através do porto de FXO. Esta sinalização é usada para a aplicação onde a máquina de PCO ou o PBX são conetados ao porto de FXS de ATA, deve parar o faturamento para a chamada disconnected. Você pode não selecionar ou nenhuns (se a troca de onde você tomou serviços para FXO não suporta a sinalização da disconexão) ou a sinalização da disconexão da reversão de polaridade ou do laço aberto Disconnect.If está ajustada à disconexão do laço aberto do `', você deve igualmente programar o temporizador da disconexão do laço aberto a um valor apropriado. Escala válida: 001 a 999 milissegundos. Defeito: 200 milissegundos."; 
var disconnectToneDetectionTt = "A deteção ATA das sustentações de SETU do tom da disconexão e usa-o para liberar o porto de FXO de ATA quando o partido remoto desconecta a chamada. Permitir a deteção do tom da disconexão se sua troca de onde você tomou serviços para FXO suporta a caraterística. Você igualmente precisa de programar o tom da disconexão no temporizador e fora do tempo a um valor apropriado. Escala válida: 0000 a 9999 milissegundos. Defeito: 750 milissegundos.";
var automaticNumTranslationTt = "A tradução automática do número permite-o de modificar ou traduzir o número discado em um outro número. Para aplicar a FORMIGA no porto de FXO, você deve permitir a FORMIGA e configurar a tabela de tradução automática do número com números discados e números do substituto.";
var CLITypeTt = "Quando há uma chamada entrante em FXO, o sistema detetará o CLI como por o tipo selecionado do CLI. Selecionar o tipo do CLI como suportado por sua troca. Defeito: `FSK, durante o anel'.";
var dialTypeTt = "Você pode ajustar o tipo do seletor ou ao pulso do `' ou o tom do `' depende da troca de onde você tomou serviços para FXO. A maioria dos provedores de serviços suportam agora o disqu de tom, mas você precisa de mudar o ajuste para pulsar se você fornecedor de serviço suporta somente o disqu do pulso. Defeito: Tom do `'.";
var PulseDialRatioTt = "Você precisa de mudar este ajuste somente se o tipo do seletor do `' é ajustado ao pulso do `'. A relação do seletor do pulso para o pulso de disqu é diferente para países diferentes, daqui seleciona a relação como por o país onde ATA é instalada. Defeito: 33:67.";
var flashTimerTt = "O temporizador instantâneo do `' especific o período de tempo para que rupturas da corrente de laço que é considerado como o flash. O fornecedor de serviço usa este evento para várias caraterísticas como a preensão da chamada. Defeito: 600 milissegundos.";
var ringCadenceOffTimerTt = "Se a cadência do anel fora do temporizador programado aqui é menos então a cadência do anel fora do temporizador da troca, cada anel novo (para a mesma chamada) estará considerado como a chamada nova. Para impedir esta, a cadência do anel fora do temporizador em ATA deve ser mesma ou mais então a cadência do anel fora do temporizador da troca. Escala válida: segundo 1 a 9. Defeito: segundo 4.";
var DTMFONTimeTt = "Você pode selecionar o DTMF apropriado na hora para emitir dígitos de DTMF. O DTMF no tempo é o tempo para que o dígito de DTMF que é ser sobras SOBRE para fora discadas. Escala válida: 70 milissegundos a 200 milissegundos. Defeito: 70 milissegundos.";
var DTMFOFFTimeTt = "Você pode selecionar o DTMF apropriado FORA do tempo como a abertura de tempo entre dois dígitos de DTMF. Escala válida: 100 milissegundos a 200 milissegundos. Defeito: 100msec.";
var pauseTimerTt = "Quando fazer a chamada do porto de FXO, ATA adicionar algum atraso antes de discar para fora o número depois que o porto de FXO vai off-hook. Este atraso é programado como o temporizador da pausa. Durante este tempo, nenhum dígito é discado pelo ATA no porto de FXO. Isto é usado quando a troca toma algum tomo para detetar que o porto de FXO é off-hook. Escala válida: segundo 1 a 9. Defeito: 1 segundo.";
var FXOBusyWaitTimerTt = "Este temporizador é usado quando a opção do roteamento da chamada entrante no tronco do SORVO é ajustada à resposta do `a chamada, coleta o número & distribui-o a FXO'. Após ter coletado o número no tronco do SORVO, se o porto de FXO encontrou ocupado, o sistema esperará esta hora para que o porto de FXO torne-se livre. Durante este tempo, o chamador começ o tom do roteamento da chamada. Escala válida: 00 a 99 segundos. Defeito: 45 segundos.";
var echoCancellationTt = "O cancelamento de eco é uma técnica que permita a isolação e a filtração dos sinais não desejados causados por ecos. Para melhorar a qualidade do discurso, permitir o cancelamento de eco e ajustar o comprimento da cauda do `' de acordo com o comprimento do eco. Defeito: O cancelamento de eco é permitido; Comprimento da cauda: 32 milissegundos.";
var ACImpedanceTt = "Esta caraterística permite que você programe a impedância da C.A. do porto de FXO.";
var speakingVolumeTt = "Você pode ajustar o volume do discurso que está sendo transmitido do porto de FXO. Defeito: 0 DB."
var listeningVolumeTt = "Você pode ajustar o volume do discurso que está sendo recebido no porto de FXO. Defeito: 0 DB."
						
var giveDialToneFor="Dar o tom de seletor para";
var ifNotDialedRouteToFxo="Se nenhum dígito é discado, rota a número de destino fixo como por a seleção da rota da chamada entrante";						