#!/bin/sh

#Defaults
WATCH_DOG_ENABLE=1

if [ $# -ge 1 ] 
then
WATCH_DOG_ENABLE=$1
fi

cd /matrix/system

killall setu_ata*

/matrix/system/scripts/upgrade.sh

cp -rf /matrix/system/*.zip /ramdisk/system/
cd /ramdisk/system/
unzip -o -q *.zip 
rm -rf *.zip 

cd /

while :
do
{
	echo -n "$HOSTNAME started at " >> /tmp/System.log
	echo `date` >> /tmp/System.log
	/ramdisk/system/setu_ata* $WATCH_DOG_ENABLE
	echo -n "$HOSTNAME exited with return code $? at " >> /tmp/System.log
	echo `date` >> /tmp/System.log
	echo "$HOSTNAME application killed or exited !"
	sleep 10
}
done
