#!/bin/sh
DEFAULT_HTTP_PORT=80
port=$DEFAULT_HTTP_PORT

cd /

killall webserver

while :
do
{
	echo "Starting Webserver ..."
	if [ -f /matrix/config/websport ]
	then
		port=`cat /matrix/config/websport`
		if [ $port -lt 1024 ] || [ $port -gt 65535 ]; then
		port=$DEFAULT_HTTP_PORT; 
		fi
	fi

	echo "Starting webserver on port: $port"
	/ramdisk/system/webserver $port
	echo "Webserver killed or exited !"
	sleep 10
}
done

