#!/bin/sh
DEFAULT_HTTP_PORT=80
port=$DEFAULT_HTTP_PORT

DEFAULT_HTTPS_PORT=443
httpsport=$DEFAULT_HTTPS_PORT

cd /

killall webserver

while :
do
{
	echo "Starting Webserver ..."
	if [ -f /matrix/config/websport ]
	then
		port=`cat /matrix/config/websport`
		if [ $port -lt 1024 ] || [ $port -gt 65535 ]; then
		port=$DEFAULT_HTTP_PORT; 
		fi
	fi

	if [ -f /matrix/config/httpsport ]
	then
		httpsport=`cat /matrix/config/httpsport`
		if [ $httpsport -lt 1024 ] || [ $httpsport -gt 65535 ]; then
		httpsport=$DEFAULT_HTTPS_PORT; 
		fi
	fi

	echo "Starting webserver on port: $port $httpsport"
	/ramdisk/system/webserver $port $httpsport
	echo "Webserver killed or exited !"
	sleep 10
}
done

