var mobilePort_tbl = new Array("Mobile Port",
								"Mobile Port Status",
								"Name", 
								"Mobile Network Selection",
								"Network Selection",
								"Priority1",
								"Priority2",
								"Priority3",
								"Priority4",
								"Priority5",
								"Priority6",
								"Priority7",
								"Priority8",
								"Priority9",
								"Band", 
								"Select Band",
								"Gain Setting",
								"Transmit Gain",
								"Receive Gain",
								"SIM PIN",
								"Enter SIM PIN",
								"DTMF Parameters",
								"DTMF ON Time",
								"DTMF OFF Time",
								"DTMF Level",
								"Automatic Number Translation",
								"Apply ANT?",
								"Dialed Number List",
								"Substitute Number List",
								"PIN Authentication",
								"Authenticate Incoming Calls", 
								"Incoming Calls",
								"Allow Incoming Calls?",
								"Incoming Call Routing Options", 
								"Route to FXS",
								"Route to fixed destination number as per incoming call route selection",
								"Route to FXS. If not answered within ring timer, route to fixed destination number as per incoming call route selection",
								"Answer the call, collect number & route as per incoming call route selection", 
								"Route to FXS. If not answered within ring timer, answer the call, collect number & route as per incoming call route selection", 
								"Fixed Destination Number",
								"Incoming call route",
								"Ring Timer",
								"CLI Number on FXS port", 
								"Type",
								"CLIR",
								"Enable CLIR?",
								"Returned Calls to Original Caller (RCOC)",
								"On Busy",
								"On No Response",
								"On Speech",
								"Replace '+' from the CLI", 
								"Number String", 
								"Pause Timer",
								"Pause Timer",
                                "Restart the Module",
                                "DTMF Detection using",
                                "Minimum ON Duration");

var dtmfDetectionUsing_tbl = new Array("DSP",
                                        "GSM Engine");

var netwrokSelection_tbl = new Array("Automatic",
									"Manual");

var bandSelection_tbl = new Array("900",
								"1800",
								"1900",
								"850+1900",
								"900+1800",
                                "Any Bands");

var gain_tbl = new Array("Very Low",
						"Low",
						"Normal",
						"High",
						"Very High");

var gsmIcCallRoute_tbl = new Array("SIP1",
									"SIP2",
									"SIP3",
									"Dialed Number Table"); 

var gsmCliOnFxs_tbl = new Array("Calling Number", 
								"Called Number"); 

var InValid_Char_Err_msg= "Input contains invalid Character(s), (0-9) is allowed.";
var InValid_PIN__Err_msg="Invalid PIN Range,Minimum 4 and Maximum 8 Digits are Allowed";
var InValid_FDN_Err_msg ="Fixed destination number can not be left blank";
var InValid_DtmfMinimumOnDurationMsg = "Valid Range is 20-100.";



var iCCallHdr = "Incoming Call";
var rejectIcCall = "Reject Incoming Calls";
var click_dnb_Tt = "Click to Configure Dialed Number Table";
var click_pin_auth_Tt = "Click to Configure PIN Authentication";
var antTitle= "Click to Configure Automatic Number Translation";

///////////////////////////////////////////////////////////////////////////
//Do not convert string below this line//
///////////////////////////////////////////////////////////////////////////
var MOBILEPORT_TBL = {"MOBILE_PORT":0,
								"MOBILE_PORT_STATUS":1,
								"MOBILE_PORT_NAME":2,
								"MOBILE_NETWORK_SELECTION":3,
								"NETWORK_SELECTION":4,
								"PRIORITY1":5,
								"PRIORITY2":6,
								"PRIORITY3":7,
								"PRIORITY4":8,
								"PRIORITY5":9,
								"PRIORITY6":10,
								"PRIORITY7":11,
								"PRIORITY8":12,
								"PRIORITY9":13,
								"BAND_SELECTION_MHZ":14,
								"SELECT_BAND":15,
								"GAIN_SETTING":16,
								"TRANSMIT_GAIN":17,
								"RECEIVE_GAIN":18,
								"SIM_PIN":19,
								"ENTER_SIM_PIN":20,
								"DTMF_PARAMETERS":21,
								"DTMF_ON_TIME":22,
								"DTMF_OFF_TIME":23,
								"DTMF_LEVEL":24,
								"AUTOMATIC_NUMBER_TRANSLATION":25,
								"APPLY_ANT":26,
								"DIALED_NUMBER_LIST":27,
								"SUBSTITUTE_NUMBER_LIST":28,
								"PIN_AUTHENTICATION":29,
								"ENABLE_PIN_AUTHENTICATION":30,
								"INCOMING_CALLS":31,
								"ALLOW_INCOMING_CALLS":32,
								"ROUTE_THE_INCOMING_CALLS":33,
								"ROUTE_TO_FXS":34,
								"ROUTE_TO_FDN_IC_ROUTE_SELECTION":35,
								"ROUTE_TO_FXS_FDN_IC_ROUTE_SELECTION":36,
								"ANS_ROUTE_TO_DN_IC_ROUTE_SELECTION":37,
								"ROUTE_TO_FXS_DN_IC_ROUTE_SELECTION":38,
								"FIXED_DESTINATION_NUMBER":39,
								"INCOMING_CALL_ROUTE":40,
								"RING_TIMER":41,
								"CLI_NUMBER_ON_FXS_PORT":42,
								"TYPE":43,
								"CLIR":44,
								"ENABLE_CLIR":45,
								"RETURNED_CALLS_TO_ORIGINAL_CALLER_RCOC":46,
								"ON_BUSY":47,
								"ON_NO_RESPONSE":48,
								"ON_SPEECH":49,
								"REPLACE_PLUS_FROM_THE_CLI":50,
								"REPLACE_PLUS_FROM_THE_CLI_WITH_THE_NUMBER_STRING":51,
								"PAUSE_TIMER1":52,
								"PAUSE_TIMER2":53,
                                "RESTART_GSM_MODULE":54,
                                "DTMF_DETECTION_USING":55,
                                "DTMF_MINIMUM_ON_DURATION":56};
                            
var DTMFDETECTIONUSING_TBL = {"DSP":0,
                                "GSM_ENGINE":1};

var NETWROKSELECTION_TBL = {"AUTOMATIC":0,
									"MANUAL":1};

var BANDSELECTION_TBL = {"BAND_900":0,
								"BAND_1800":1,
								"BAND_1900":2,
								"BAND_850_1900":3,
								"BAND_900_1800":4,
                                "BAND_ANY_BANDS":5};


var GAIN_TBL = {"VERY_LOW":0,
						"LOW":1,
						"NORMAL":2,
						"HIGH":3,
						"VERY_HIGH":4};

var GSMICCALLROUTE_TBL = {"SIP1":0,
									"SIP2":1,
									"SIP3":2,
									"DIALED_NUMBER_BASED_ROUTING":3};

var GSMCLIONFXS_TBL ={"RECEIVED_CALLING_PARTY":0,
								"RECEIVED_CALLED_PARTY":1};

var gsmEngineType_e = {
/* Engine Model Type */
        ENGINE_SIM340Z:0,             /* SIM340Z - GSM                */
        ENGINE_WAVEQ24:1,                 /* Q24 Classic - GSM    */
        ENGINE_SIM5218A:2,                /* SIM5218A - 3G                */
        ENGINE_WAVEQ2438F:3,              /* WAVECOM_Q2438_CDMA   */
        ENGINE_SIERRAMC8792V:4,   /* SIERRA MC8792V               */
        ENGINE_SIM900B:5,                 /* SIMCOM900B - GSM     */
        ENGINE_TELIT_GE865:6,             /* TELI_GE865 - GSM             */
        ENGINE_SIERRASL6087:7,    /* SIERRA SL6087                */
        ENGINE_TYPE_MAX:8,
        ENGINE_TYPE_NONE:8,
        /* Engine Manufacturer Type */
        ENGINE_SIMCOM:9,                  /* SIMCOM                               */
        ENGINE_SIERRA:10                  /* SIERRA                               */
};

//New Tool Tip
var mobilePortTt = "To allow incoming and outgoing calls the Mobile port must be enabled.";
var nameTt = "Assign a name to the Mobile Port. This name will be sent to the called party in the Display Name field in the SIP message.";
var IcCallRouteOptionsTt = "Select an appropriate option to route all the incoming calls on the Mobile port.";
var fixedDestNumberTt = "If you selected as incoming call routing option either ‘Route to fixed destination as per incoming call route selection’ or ‘Route to FXS. If not answered within ring timer, route to fixed destination number as per incoming call route selection’, enter the Destination Number in this field.";
var IcCallRouteTypeTt = "Select an appropriate option to route all the incoming calls on the Mobile Port."; 
var ringTimerTt = "When there is an incoming call on the Mobile port is routed on FXS port, the system plays ring on phone connected to FXS port until the expiry of the Ring Timer. You may set this timer to the desired duration. Valid range: 01 to 99 seconds. Default: 45 seconds.";
var AuthIcCallsTt = "You can let the system authenticate all incoming calls on the Mobile Port using PIN Authentication.When you use PIN Authentication, the system will ask callers for PIN, after answering the call on the Mobile port. To use this feature, you must enable ‘PIN Authentication’ and store the PIN in the ‘PIN Authentication’ table. ";
var AntTt = "Automatic Number Translation (ANT) enables you to modify or translate the dialed number into another number.ANT is useful when you need to modify or replace a few digits of the dialed number with other digits, before the system dials out the number.To apply ANT on the Mobile port, you must enable ANT and configure the Automatic Number Translation Table with dialed numbers and substitute numbers.";
var CLIRTt = "Enable CLIR to hide your CLI on outgoing calls.";
var mobileNwSelectionTt = "By default, Mobile Network Selection is set to ‘Automatic’.When Mobile Network Selection is set to \"Automatic\", the Mobile port will automatically select the Network Operator.You may select ‘Manual’ if the system is outside the home network. This way the Mobile port can select a suitable network that is available in Roaming Area.If you select ‘Manual’ network selection, you must also program the network priority.";
var PriorityTt = "If Network Selection is set to ‘Manual’ and a number of different network operators are present in a region, the system selects the most suitable network operator by considering its preference priority from the Priority Table.You may configure the Priority Table with the Network Operator Codes.";
var BandTt = "Select the most suitable GSM frequency band according to you country and service provider. Default: 900+1800.";
var transmitGainTt ="You can set the Transmitting Gain of the RF Signal to optimum level by selecting one out of the five different levels. Default: Normal.";
var receiveGainTt ="You can set the Receiving Gain of the RF Signal to optimum level by selecting one out of the five different levels. Default: Normal.";
var SIMPINTt = "SIM PIN is a security feature used by the GSM network. If this feature is enabled on the SIM Card, the network asks the system for the SIM PIN at every power ON. If the SIM PIN you have programmed here matches with the one stored in the network, the network will mark ATA as present on the network.The SIM PIN you enter here must be of 4 minimum and 8 digits maximum.";
var DTMFONTimeTt = "You can select the appropriate DTMF On time for sending DTMF digits. The DTMF On Time is the time for which the DTMF digit which is to be out dialed remains ON. Valid range: 50 to 200 milliseconds. Default: 100 milliseconds.";
var DTMFOFFTimeTt = "You can select the appropriate DTMF OFF time as the time gap between two DTMF digits. This can be set between 20 to 200 milliseconds. Default: 100 milliseconds.";
var DTMFLevelTt = "DTMF Level signifies with what magnitude (level/amplitude) the DTMF digits should be out dialed. This can be set between 0 dB to -10.5 dB. Default: -6 dB.";
var PauseTimerTt = "You may configure the Pause timer if you want to insert a delay before dialing the DTMF digits on the Mobile port. The Pause Timer is typically used in Multi-Stage Dialing. Valid range: 1 to 9 seconds. Default: 2 seconds.";
var RCOCTt = "Using RCOC, you can instruct the system to route the incoming calls on the Mobile port that are returned by called parties, back to same port from where the calls were originally made.You can enable RCOC in these cases: i) On Busy – the call is returned if the called party number was busy. ii) On No Response – the call is returned if the called party did not respond. iii) On Speech – the call is returned after speech was established with the called party.";
var ReplacePlusfromCLITt = "When an incoming call is received on the Mobile Port, the received CLI usually has a prefix \"+\".To replace this prefix with a number string, enable Replace + from CLI Number String. Default: Disabled.To replace the prefix with another number you may configure ‘Number String’. If you want to remove ‘+’, keep the Number String blank.";
var CLINumberonFXSPortTt = "";

var giveDialToneFor="Give dial tone for";
var ifNotDialedRouteToGsm="If no digit is dialed, route to fixed destination number as per incoming call route selection";

var confirmRestartGsmModule = "Do you want to restart the GSM module?";
var dtmfDetectionUsingTt = "System can detect DTMF on Mobile port using either DSP or GSM Engine. Default: DSP.";
var dtmfMinimumOnDurationTt = "You can specify the minimum On Duration for DTMF to be detected. Applicable only when GSM Engine is set as DTMF Detection type. Valid range: 20 to 100 msec. Default: 30 msec.";