var wanPort_tbl = new Array("WAN",
							"DHCP",
							"PPPoE",
							"User ID",
							"Password",
							"Service Name",
							"Static", 
							"IP Address",
							"Subnet Mask",
							"Gateway",
							"DNS Setting",
							"DNS Server",
							"Primary DNS Address",
							"Domain Name",
							"MAC Cloning",
							"Unique MAC Address",
							"Clone MAC Address",
							"100rel/PRACK",
							"Enable 100rel/PRACK?",
							"SIP Timers",
							"SIP INVITE Timer",
							"SIP Provisional Timer",
							"General Request Timer",
							"SIP over TCP",
							"Enable SIP over TCP?",
							"UDP NAT Keep Alive",
							"Enable UDP NAT Keep Alive?",
							"Interval",
							"Message Type",
							"TCP NAT Keep Alive",
							"Interval",
							"STUN",
							"Server Address",
							"Port",
							"SIP Port Fetched Using STUN",
							"Router Public IP Address",
							"QoS (Layer3)",
							"SIP DiffServe/ ToS",
							"RTP DiffServe/ ToS",
							"SIP/RTP Port",
							"SIP UDP Port",
							"SIP TCP Port",
							"RTP Listening Port",
							"Enable TCP NAT Keep Alive?",
							"VLAN/CoS",
							"Enable VLAN/ CoS?",
							"VLAN ID",
							"SIP CoS",
							"RTP CoS",
							"Secondary DNS Address",
							"Check Router Public IP Address after",
							"RTP Port Fetched Using STUN",
							"SIP over TLS",
							"SIP TLS Port");


var WANPORT_TBL = {"WAN_PORT":0,
							"ENABLE_DHCP":1,
							"ENABLE_PPPOE":2,
							"USER_NAME":3,
							"USER_PASSWORD":4,
							"SERVICE_NAME":5,
							"ENABLE_STATIC_IP":6,
							"IP_ADDRESS":7,
							"SUBNET_MASK":8,
							"GATEWAY_IP_ADDRESS":9,
							"DNS_SETTING":10,
							"DNS_SERVER":11,
							"DNS_ADDRESS":12,
							"DOMAIN_NAME":13,
							"MAC_ADDRESS_SETTING":14,
							"MAC_ADDRESS":15,
							"CLONE_MAC_ADDRESS":16,
							"NUM_100REL_PRACK":17,
							"ENABLE_100REL_PRACK":18,
							"SIP_TIMERS":19,
							"SIP_INVITE_TIMER":20,
							"SIP_PROVISIONAL_TIMER":21,
							"GENERAL_REQUEST_TIMER":22,
							"SIP_OVER_TCP":23,
							"ENABLE_SIP_OVER_TCP":24,
							"UDP_NAT_KEEP_ALIVE":25,
							"ENABLE_UDP_NAT_KEEP_ALIVE":26,
							"INTERVAL":27,
							"MESSAGE_TYPE":28,
							"TCP_NAT_KEEP_ALIVE":29,
							"INTERVAL":30,
							"STUN":31,
							"SERVER_ADDRESS":32,
							"SERVER_PORT":33,
							"USE_SIP_PORT_FETCHED_USING_STUN":34,
							"ROUTER_PUBLIC_IP_ADDRESS":35,
							"QOS_LAYER3":36,
							"SIP_DIFFSERVE_TOS":37,
							"RTP_DIFFSERVE_TOS":38,
							"SIP_RTP_PORT":39,
							"SIP_UDP_PORT":40,
							"SIP_TCP_PORT":41,
							"RTP_LISTENING_PORT":42,
							"TCP_NATKEEP_ALIVE_STS":43,
							"VLAN_PARA":44, 
							"ENABLE_VLAN":45,
							"VLAN_ID":46,
							"SIP_COS":47,
							"RTP_COS":48,
							"DNS_SECONDARY_ADDR":49,
							"CHECK_ROUTER_PUB_IP_ADDR_AFTER":50,
							"RTP_PORT_FETCHED_USING_STUN":51,
							"SIP_OVER_TLS":52,
							"SIP_TLS_PORT":53};


var udpNatKeepAliveMsgType_tbl = new Array("REGISTER",
											"NOTIFY");

var UDPNATKEEPALIVEMSGTYPE_TBL = {"REGISTER":0,
											"NOTIFY":1};

var dnsServerType_tbl = new Array("Static",
									"Automatic");
var DNSSERVERTYPE_TBL ={"STATIC":0,
									"OBTAIN_AUTOMATICALLY":1};



var InValid_Char_Err_msg="Input contains invalid Character(s),(0-9,a-f,A-F, :) allowed";
var Same_LanWan_Mac_Err_msg="LAN and WAN MAC address can not be same. Please change the WAN Clone MAC address.";
var Same_Port_Err_msg="LAN and WAN MAC address can not be same. Please change the WAN Clone MAC address.";

var InValid_Num_Err_msg="Only even port number is allowed.";
var InValid_WanIP_Address_Err_msg="Invalid WAN IP Address";
var InValid_WanSubNet_Mask_Err_msg="Invalid WAN Subnet Mask";
var InValid_GateWay_Address_Err_msg="Enter valid Gateway address";
var InValid_Router_IPAddress_Err_msg="Enter valid Router IP address";
var InValid_DNS_IPAddress_Err_msg="Enter valid DNS IP address";
var InValid_Stun_ServerAddress_Err_msg="Enter valid Stun Server address";
var InValid_Clone_Mac_Err_msg="Invalid MAC Address";
var InValid_WAN_IP_Err_msg="Enter valid WAN IP address";
var InValid_WAN_Subnet_Mask_Err_msg="Enter valid WAN subnet mask address";
var InValid_PPPoE_Err_msg="Invalid PPPoE User ID";
var Emplty_Pwd_Err_msg="Password field can not be empty";
var Nat_Interval_low_err_msg="NAT Keep Alive Interval should be higher than General Request Timer.";

var Wan_Lan_addr_msg= "LAN and WAN Port must be in different subnet";

var wan_ip_mask_invalid_msg = "Error! Combination of WAN IP Address and Subnet " +
						"Mask must be valid. Please enter valid combination of WAN IP Address and " +
						"Subnet Mask.";



var webServerPort = "Web Server Port (HTTP)";
var webServerPortHttps = "Web Server Port (HTTPS)";
var ftpServerPort = "FTP Server Port";
var webFtpSIPTcpSamePortMsg = "Web Server Port, FTP Server Port, SIP TCP Port and SIP TLS Port can not be same, please enter valid value";
var lanWanInSameSubnetMsg = "LAN and WAN Port IP Address should not be in the same network. Change either LAN or WAN Port IP Address";

var lanPort_tbl = new Array("LAN",
							"IP Address",
							"Subnet mask",
							"DHCP Server",
							"Start IP Address",
							"Number of Host",
							"Lease Time",
							"Primary DNS Address",
							"Secondary DNS Address",
							"IP Address Reservation",
							"Click",
							"here to add reservation of IP Address"
						   );

var LANPORT_TBL = { "LAN_PORT"			:0,
					"IP_ADDRESS"		:1,
					"SUBNET_MASK"		:2,
					"DHCP_SERVER"		:3,
					"START_IPADDR"		:4,
					"NO_OF_HOST"		:5,
					"LEASE_TIME"		:6,
					"PRI_DNS_ADDR"		:7,
					"SEC_DNS_ADDR"		:8,
					"IP_ADDR_RSVRN"		:9,
					"CLICK"				:10,
					"ADD_RSVR_IPADDR"	:11
				  };

var Dyn_Dns_tbl = new Array("Dynamic DNS (DynDNS.org)",
							"DynDNS Service",
							"Host Name",
							"User Name",
							"Password",
							"Periodically Update",
							"Forcefully Update",
							"Forcefully update after",
							"Days",
							"Manual Update",
							"Click to Update IP Address"
						   );

var DyNDNS_TBL = {	"DyNDNS_PORT"			:0,
					"DYN_DNS_SVR"			:1,
					"HOST_NAME"				:2,
					"USER_NAME"				:3,
					"PASSWORD"				:4,
					"PERIOD_UPDATE"			:5,
					"FORCE_UPDATE"			:6,
					"FORCE_UPDATE_AFTER"	:7,
					"DAYS"					:8,
					"MANUAL_UPDATE"			:9,
					"CLICK_TO_UPDATE"		:10
				 };


var InValid_IP_Err_msg = "Enter valid LAN IP address";
var InValid_Start_IP_Err_msg = "Error! IP Address is invalid";
var InValid_Host_Err_msg = "Error! Valid range is 01 to 48";
var InValid_Lease_Time_Err_msg = "Error! Valid range is 0001 to 9999";

var InValid_SubNetMask_Err_msg = "Enter valid LAN subnet mask";

var lan_ip_mask_invalid_msg = "Error! Combination of LAN IP Address and Subnet " +
						"Mask must be valid. Please enter valid combination of LAN IP Address and " +
						"Subnet Mask.";

var routingModeHdr = "Routing Mode";
var bridgeMode ="Bridge";
var natMode = "NAT";


//New Tool Tip
var routeModeTt = "Select 'NAT' if you want to keep the LAN and WAN port of the system in different network segments.Select 'Bridge' if you want to keep the LAN and WAN port of the system in the same network segment. This will also disable Network Address Translation (NAT) on WAN port. Default: NAT.";
var LANPortTt ="The LAN Port is used to connect a standalone computer or a LAN switch.";
var LanIPAddress1sTt ="Enter a valid IP address given by your network administrator. Default: 192.168.2.16";
var LanIPAddress2sTt ="Enter a valid IP address given by your network administrator. Default: 192.168.2.1";
var LanIPAddress211gTt ="Enter a valid IP address given by your network administrator. Default: 192.168.2.21";
var LanIPAddress211Tt ="Enter a valid IP address given by your network administrator. Default: 192.168.2.6";
var LansubnetMaskTt ="Enter a valid subnet mask given by your network administrator. Default: 255.255.255.0";
var WANPortTt ="The WAN port is used to connect SETU ATA to the IP network. You can connect WAN Port to LAN switch, modem or router. Select a Connection Type depending on the IP addressing scheme of the network that your system is connected to: 'DHCP', 'PPPoE' or 'Static IP'. Default: Static.";
var WanIPAddress1sTt ="If you have selected 'Static IP' as connection type, enter IP address provided by your network administrator or ISP. Default: 192.168.1.191.";
var WanIPAddress2sTt ="If you have selected 'Static IP' as connection type, enter IP address provided by your network administrator or ISP. Default: 192.168.1.151.";
var WanIPAddress211gTt ="If you have selected 'Static IP' as connection type, enter IP address provided by your network administrator or ISP. Default: 192.168.1.196.";
var WanIPAddress211Tt ="If you have selected 'Static IP' as connection type, enter IP address provided by your network administrator or ISP. Default: 192.168.1.171.";
var WansubnetMaskTt ="Enter a valid subnet mask provided by your network administrator or ISP. Default: 255.255.255.0";
var gatewayIPAddrTt ="Gateway address refers to your router address which segregates your network from other network segments. If you have selected 'Static IP' as connection type, enter the Gateway address provided by your network administrator or ISP.";
var userNameTt ="Enter PPPoE User Name provided by your ISP.";
var userPasswordTt ="Enter PPPoE password provided by your ISP.";
var serviceNameTt ="Enter PPPoE Service Name, if provided by your ISP.";
var DNSSettingsTt ="DNS is used to resolve domain name to IP address. Select 'Static' to configure a DNS server of your own choice irrespective of the network Connection Type. You can select the option 'Automatic' only when WAN port connection type is DHCP or PPPoE.";
var primaryDNSAddressTt ="Enter the primary DNS address provided by your network administrator or ISP. You  need to program this field only when you have selected 'Static' as DNS server."; 
var secondaryDNSAddrTt ="Enter the secondary DNS address if provided by your network administrator or ISP.  When the primary DNS is unreachable then system uses the secondary DNS server to resolve domain name to IP address.";
var domainNameTt ="Enter the DNS domain name if provided by your network administrator. You may need to program this field if you have selected 'Static' as DNS server.";
var VLANCosHdrTt ="Enable VLAN/CoS to add Layer 2 VLAN header in the packets leaving the WAN port of the system.  The VLAN header includes VLAN ID and CoS, which you may define as per your network installation.";
var VLANIDTt ="Enter the VLAN ID which should be added in all the packets leaving the WAN port.";
var SIPCoSTt ="Define the 'L2 CoS (Priority) bits' which should be added in layer2 VLAN header of all SIP packets."; 
var RTPCosTt ="Define the 'L2 CoS (Priority) bits' which should be added in Layer2 VLAN header of all RTP packets."; 
var QoSLayer3Tt ="";
var SIPDiffServeTOSTt ="Define the priority bits for SIP messages. You can specify any value from 00 to 63. Default: 26.";
var RTPDiffServeTOSTt ="Defines the priority bits for RTP packets. You can specify any value from 00 to 63. Default: 46.";
var uniqueMACAddrTt ="Select Unique MAC address, if you want the unique MAC address of the WAN Port to be used. ";
var cloneMACAddrTt ="Select Clone MAC address, if you do not want the Unique MAC address to be used. Enter the Clone MAC address in hexadecimal format. ";
var FTPServerPortTt ="You may change the FTP Server Port for the embedded FTP server (used for Software Upgrade) to the desired value. Default: 21.";

var webServerPortTt ="You may change the Web Server Port (HTTP) for Jeeves, the embedded web server for system configuration, to the desired value. Default: 80.";
var webServerHttpsTt = "You may change the Web Server Port (HTTPS) for Jeeves, the embedded web server for system configuration, to the desired value. Default: 443.";
var LanDhcpSvrTt = "You can configure system as DHCP server to assign dynamic IP addresses to the hosts connected in the LAN. By defualt, DHCP Server is enabled.";
var LanStrtIpAddrTt = "Enter the Start IP Address which you want to assign to the host connected in the LAN.";
var LanNumOfHostTt = "Enter the total number of hosts which you want system to assign IP address. Valid range is 1 to 48. Default: 24";
var LanLeaseTimeTt = "Enter the time for which you want system to assign the IP address. Before expiry of this time, if host hasn't refresh the binding, system shall release the IP address and that IP address can be assigned to any other host in the LAN. Valid range is 1 to 9999. Default: 480 minutes";
var LanPriDnsIpAddrTt = "Enter the primary DNS address which you want system to assign to the host in the LAN.";
var LanSecDnsIpAddrTt = "Enter the secondary DNS address which you want system to assign to the host in the LAN.";
var LanIpAddrRsrvnTt = "Using DHCP, it's possible to assign static IP address to few hosts in the LAN. This is generally required to assign static IP address to the servers like Web, FTP etc. IP Address Reservation gives this flexibility. You should configure MAC Address of the host and respective IP address which you want to assign to the host.";
var DynDnsHeadTt = "When system is assigned dynamic IP Address using either DHCP or PPPoE, SIP devices wants to make Peer-to-Peer call need changing the configuration periodically whenever new IP Address is assigned to the system. Dynamic DNS solves this problem. Please visit www.dyndns.org for more details.";
var DynDnsServTt = "Select the check box if you want to enable DynDNS. Default is unchecked.";
var DynDnsHostNameTt = "Enter the host name provided by DynDNS provider.";
var DynDnsUserNameTt = "Enter the user name provided by DynDNS provider.";
var DynDnsPswdTt = "Enter the password provided by DynDNS provider.";
var DynDnsPeriodUpdateTt= "If you select 'Yes' check box, system will check in every 10 minutes (fixed) for new IP address and if found, new IP address will be updated in DynDNS server.";
var DynDnsForceUpdateTt = "If you want system to update the IP address in the DynDNS server periodically irrespective whether IP address is changed or not, select the Yes check box and also configure the respective day/s after which system should update the IP address in DynDNS server. Valid range of Forcefully Update After is 1 to 99. Default: 7 days.";