var fxsPortPara_tbl = new Array("FXS Port",
								"FXS Port Status",
								"Name",
								"Number",
								"Outgoing Call",
								"Don't allow outgoing calls",
								"Outgoing Call Routing Options",
								"Class of Service",
								"Call Hold",
								"Call Forward",
								"Call Waiting",
								"Call Toggle",
								"Attendant Transfer",
								"Blind Transfer",
								"Conference",
								"Do-Not-Disturb (DND)",
								"CLI Type",
								"Type",
								"Answer Signaling",
								"Answer Signaling Type",
								"Disconnect Signaling",
								"Disconnect Signaling Type",
								"Open Loop Disconnect Timer",
								"Flash Timer",
								"Flash Timer",
								"Echo Cancellation",
								"Enable Echo Cancellation?",
								"Tail Length",
								"AC Impedance",
								"AC Impedance",
								"Volume Control",
								"Speaking Volume",
								"Listening Volume",
								"PIN Authentication",	
								"Authenticate Outgoing Calls",
								"Ring Timer",
								"Ring Timer",
								"Auto PSTN Fallback",
								"Enable",
								"Subscriber Type",
								"Subscriber Type",
								"Conference Codec");



var FXSPORTPARA_TBL = {"FXS_PORT":0,
								"FXS_PORT_STATUS":1,
								"FXS_PORT_NAME":2,
								"FXS_PORT_NUMBER":3,
								"OUTGOING_CALLS":4,
								"ALLOW_OG_CALLS":5,
								"OUTGOING_CALL_ROUTE":6,
								"CLASS_OF_SERVICE":7,
								"CALL_HOLD":8,
								"CALL_FORWARD":9,
								"CALL_WAITING":10,
								"CALL_TOGGLE":11,
								"ATTENDED_TRANSFER":12,
								"BLIND_TRANSFER":13,
								"CONFERENCE":14,
								"DO_NOT_DISTURB_DND":15,
								"CALLING_PARTY_NUMBER_PRESENTATION":16,
								"TYPE":17,
								"ANSWER_SIGNALING":18,
								"ANSWER_SIGNALING_TYPE":19,
								"DISCONNECT_SIGNALING":20,
								"DISCONNECT_SIGNALING_TYPE":21,
								"OPEN_LOOP_DISCONNECT_TIMER":22,
								"FLASH_TIMER_HEADER":23,
								"FLASH_TIMER":24,
								"ECHO_CANCELLATION":25,
								"ENABLE_ECHO_CANCELLATION":26,
								"TAIL_LENGTH":27,
								"AC_IMPEDANCE_HEADER":28,
								"AC_IMPEDANCE":29,
								"VOLUME_CONTROL":30,
								"SPEAKING_VOLUME":31,
								"LISTENING_VOLUME":32,
								"PIN_AUTH":33,
								"PIN_AUTH_STS":34,
								"RING_TIMER_HEADER":35,
								"RING_TIMER":36,
								"AUTO_PSTN_FALL_BACK":37,
								"AUTO_PSTN_FALL_BACK_ENABLE":38,
								"SUBSCRIBER_TYPE_TABLE_TITLE":39,
								"SUBSCRIBER_TYPE":40,
								"CONFERENCE_CODEC":41};

///////////////////
var fxsOgCallRoute_tbl = new Array("Route all calls from SIP1",
									"Route all calls from SIP2",
									"Route all calls from SIP3",
									"Route all calls from Mobile",
									"Route all calls from FXO",
									"Route all calls as per dialed number table");


var FXSOGCALLROUTE_TBL = {"SIP1":0,
							"SIP2":1,
							"SIP3":2,
							"MOBILE":3,
							"FXO":4,
							"DIALED_NUMBER_BASED_ROUTING":5};

/////////
							
/////////

var conferenceCodec_tbl = new Array("G.711-Mu",
									"G.729");

var CONFERENCECODEC_TBL = {"G711": 0,
							"G729": 1};

var fxsSubscriberType_tbl = new Array("Gateway",
										"Network");


var FXSSUBSCRIBERTYPE_TBL = {"SUBSCRIBER_GATEWAY": 0,
								"SUBSCRIBER_NETWORK": 1};

/////////
							
var fxsCliType_tbl = new Array("None",
								"DTMF",
								"FSK-ITU V.23",
								"FSK-BellCore");


var FXSCLITYPE_TBL = {"NONE": 0,
						"DTMF": 1,
						"FSK_ITU_V_23": 2,
						"FSK_BELLCORE": 3};
///////////
var fxsAnsSignalType_tbl = new Array("None",
									"Polarity Reversal");

var FXSANSSIGNALTYPE_TBL = {"NONE":0,
							"POLARITY_REVERSAL":1};
//////////
var fxsDiscSignalType_tbl = new Array("None",
										"Polarity Reversal",
										"Open Loop Disconnect");

var FXSDISCSIGNALTYPE_TBL = {"NONE":0,
								"POLARITY_REVERSAL":1,
								"OPEN_LOOP_DISCONNECT":2};
///////////
var acImpedance_tbl = new Array("600 ?",
								"900 ?",
								"270 ? + (750 ? || 150 nF)",
								"220 ? + (820 ? || 115 nF)",
								"370 ? + (620 ? || 310 nF)",
								"320 ? + (1050 ? || 230 nF)",
								"350 ? + (1000 ? || 210 nF)",
								"200 ? + (680 ? || 100 nF)");

var speakingVolume_tbl = new Array("+6 db",
									"+5 db",
									"+4 db",
									"+3 db",
									"+2 db",
									"+1 db",
									"0 db",
									"-1 db",
									"-2 db",
									"-3 db",
									"-4 db",
									"-5 db",
									"-6 db");

var listeningVolume_tbl = new Array("+6 db",
									"+5 db",
									"+4 db",
									"+3 db",
									"+2 db",
									"+1 db",
									"0 db",
									"-1 db",
									"-2 db",
									"-3 db",
									"-4 db",
									"-5 db",
									"-6 db");
var InValid_Char_Err_msg = "Input contains invalid Character(s), (0-9,*) is allowed.";

//*********************************************************************
//--Fxs
//*********************************************************************
var Fxs_Txt = "FXS";
var autoMobileFallbackLbl = "Auto Mobile Fallback";
var click_dnb_Tt = "Click to Configure Dialed Number Table"
var click_pin_auth_Tt = "Click to Configure PIN Authentication"

//New Tool Tip
var FXSPortTt = "To allow incoming and outgoing calls, the FXS port must be enabled.";
var nameTt = "Assign a name to the FXS port. This name will be sent to the called party in the Display Name field in the SIP message.";
var  numberTt = "Assign a number to the FXS port. This number will be used as your caller ID in Peer-to-Peer calls.";
var outgoingCallTt = "Select the route for outgoing calls from the FXS port. You can route outgoing calls from a specific SIP trunk.If you want trunks to be selected on the basis of the number dialed, select the option \"Route all calls as per dialed number table\". If you select this option, configure the Dialed Number Table. Default: Route all calls from SIP1.";
var classofServiceTt = "Select the features you want to allow the user to use. Default: all features are allowed.";
var answerSignalingTt = "Select an appropriate signaling method the system should use to indicate to the FXS port, the maturity of an outgoing call. Default: Polarity Reversal.";
var disconnectSignalingTt = "Select an appropriate signaling method to be used by system to indicate to the FXS port, the disconnection of an outgoing call. Default: Polarity Reversal.";
var conferenceCodecTt = "You can use either G.711-Mu or G.729 codec for conference. Default is G.711-Mu.";
var subscriberTypeTt = "When your SETU ATA is interfaced with a Service provider (ITSP or PBX), you can select the extent of feature access you want on the FXS port.Select ‘Network’ if the supplementary services of the Service Provider are to be used.Select ‘Gateway’ if the supplementary services of the SETU ATA are to be used.Default: Gateway.";
var CLITypeTt = "Select the CLI type according to the CLI type supported by your instrument connected to the FXS port. Default: FSK-ITU (V.23).";
var ringTimerTt = "When there is an incoming call routed on FXS port, the system plays ring on phone connected to FXS port until the expiry of the Ring Timer. You may set this timer to the desired duration. Valid range: 01 to 99 seconds. Default: 45 seconds.";
var flashTt = "This is the time period for which loop current breaks that is considered as Flash. System uses this event for various features like call hold. Default: 600 milliseconds.";
var echoCancelTailLenTt = "Echo cancellation is a technique that allows isolation and filtering of unwanted signals caused by echoes. To improve quality of speech, enable Echo Cancellation and set the ‘Tail length’ according to the length of the echo. Default:  Echo Cancellation is enabled; Tail length: 32 milliseconds.";
var ACImpedanceTt = "Select the AC impedance according to the impedance supported by the instrument connected to the FXS port. Default: 600 Ohms";
var speakingVolumeTt = "You may adjust the speech volume being transmitted from the FXS port. Default: 0 db.";
var listeningVolumeTt = "You may adjust the speech volume being received on the FXS port. Default: 0 db.";
var outgoingCall211gTt = "Select the route for outgoing calls from the FXS port. You can route outgoing calls from a specific SIP trunk or from the Mobile port.If you want trunks to be selected on the basis of the number dialed, select the option \"Route all calls as per dialed number table\". If you select this option, configure the Dialed Number Table. Default: Route all calls from SIP1.";
var authenticateOutgoingCallsTt = "You can restrict access to the FXS port using PIN Authentication. Outgoing calls will be allowed from the FXS port only after the user has dialed a valid PIN.To use PIN Authentication, you must configure the valid PIN of users in the PIN Authentication Table. Outgoing calls will be allowed from the FXS port only when the PIN dialed by the user matches with a PIN stored in the PIN Authentication Table.";
var autoMobileFallbackTt = "Enable Auto Mobile Fallback to route the outgoing calls to the Mobile port if the calls cannot be routed from the SIP Trunk selected for outgoing calls. ";
var outgoingCall211Tt = "Select the route for outgoing calls from the FXS port. You can route outgoing calls from a specific SIP trunk or from the FXO port.If you want trunks to be selected on the basis of the number dialed, select the option \"Route all calls as per dialed number table\". If you select this option, configure the Dialed Number Table. Default: Route all calls from SIP1.";
var autoPSTNFallbackTt = "Enable Auto PSTN Fallback to route the outgoing calls to the FXO port if the calls cannot be routed from the SIP Trunk selected for outgoing calls.The system will route the call from the FXO port when the Ethernet link is down or the selected SIP Trunk is enabled but not active.";

var hotlineCosStr="Hotline";

