var fxoPortPara_tbl = new Array("Port de FXO",
							"Statut gauche de FXO",
							"Nom", 
							"À cadran",
							"Rapport de cadran d'impulsion",
							"Cadence d'anneau outre de temporisateur", 
							"Temporisateurs de cadran de DTMF",
							"DTMF À L'HEURE",
							"DTMF OUTRE de temps",
							"Traduction automatique de nombre",
							"Appliquer la FOURMI ?",
							"Liste composée de nombre ",
							"Liste de remplacement de nombre",
							"Surveillance de réponse",
							"Type de surveillance de réponse",
							"Temporisateur obligatoire de maturité",
							"Déconnecter la détection de signalisation",
							"Déconnecter la signalisation", 
							"Temporisateur de débranchement de boucle ouverte",
							"Déconnecter la détection de tonalité",
							"Permettre la détection de tonalité de débranchement ?",
							"Disconnect Tone ON Time 1",
							"Disconnect Tone OFF Time 1",
							"Identification de ligne d'appel",
							"Type de CLI",
							"Authentification de PIN ",
							"Temporisateur de pause",
							"Temporisateur occupé d'attente de FXO",
							"Temps l'où le système devrait attendre FXO pour être libre pour l'appel de cheminement par lui",
							"Appels d'arrivée",
							"Permettre les appels d'arrivée ?",
							"Conduire les appels d'arrivée ",
							"Itinéraire à FXS",
							"Itinéraire au nombre de destination fixe selon le choix d'itinéraire d'appel d'arrivée",
							"Itinéraire à FXS. Sinon répondu dans le temporisateur d'anneau, itinéraire au nombre de destination fixe selon le choix d'itinéraire d'appel d'arrivée ",
							"Répondre à l'appel, rassembler le nombre et le conduire selon le choix d'itinéraire d'appel d'arrivée", 
							"Itinéraire à FXS. Sinon répondu dans le temporisateur d'anneau, répondre à l'appel, rassembler le nombre et le conduire selon le choix d'itinéraire d'appel d'arrivée", 
							"Nombre de destination fixe",
							"Itinéraire d'appel d'arrivée ",
							"Temporisateur d'anneau",
							"Impédance à C.A. ",
							"Annulation d'écho  ",
							"Permettre",
							"Couper la queue la longueur ",
							"Commande de volume ",
							"Volume parlant",
							"Volume de écoute",
							"Temporisateur instantané",
							"Disconnect Tone ON Time 2",
							"Disconnect Tone OFF Time 2",
							"Disconnect Tone ON Time 3",
							"Disconnect Tone OFF Time 3",
							"Disconnect Tone ON Time 4",
							"Disconnect Tone OFF Time 4");


var acImpdeancePara= new Array("600 ? ",
								"900 ? ",
								"270 ? + (750 ? || 150 N-F) ",
								"220 ? + (820 ? || 115 N-F) ",
								"370 ? + (620 ? || 310 N-F) ",
								"320 ? + (1050 ? || 230 N-F) ",
								"370 ? + (820 ? || 110 N-F) ",
								"275 ? + (780 ? || 115 N-F) ",
								"120 ? + (820 ? || 110 N-F) ",
								"350 ? + (1000 ? || 210 N-F) ",
								"200 ? + (680 ? || 100 N-F) ",
								"600 ? + 2.16 F ",
								"900 ? + 1 F ",
								"900 ? + 2.16 F ",
								"600 ? + 1 F ",
								"Impédance complexe globale");

var dialType = new Array("Tonalité",
						"Impulsion");


var pulseDialRatio = new Array("40:60",
								"50:50",
								"33:67");


var answerSupervision = new Array("Aucun",
									"Inversion de polarité");



var disconnectSignalType = new Array("Aucun",
									"Inversion de polarité",
									"Débranchement de boucle ouverte");

var cliType = new Array("Aucun",
						"DTMF",
						"FSK, pendant l'anneau", 
						"FSK, avant anneau");

var icCallRoute = new Array("SIP1",
							"SIP2",
							"SIP3",
							"Tableau composé de nombre"); 



var Fixed_dest_num_Err_msg = "Le nombre de destination fixe ne peut pas être laissé le balnk";
var Invalid_char_Err_msg ="L'entrée contient les caractères inadmissibles, seulement on permet des caractères d'ASCII."
var Invalid_input_char_Err_msg="on laisse % ' de *-+.)"
var Time_left_blank_Err_msg	= "Le temporisateur ne peut pas être laissé blanc.";
var Invalid_input_09_Err_msg ="On laisse l'entrée contient les caractères inadmissibles, (0-9).";

var incomingCallHdr = "Appel d'arrivée"; 
var icCallRouteOptionHdr= "Options de cheminement d'appel d'arrivée"; 
var ignoreIcCall = "Ignorer les appels d'arrivée" 
var click_dnb_Tt = "Cliquer pour configurer le Tableau composé de nombre" 
var authIcCallsLbl = "Authentifier les appels d'arrivée"; 
var click_pin_auth_Tt = "Cliquer pour configurer l'authentification de PIN"; 
var antTitle= "Cliquer pour configurer la traduction automatique de nombre"

//////////////////////////////////////////////////////////////////////////


var FXOPORTPARA_TBL = {"FXO_PORT":0,
					"FXO_PORT_STATUS":1,
					"FXO_PORT_NAME":2,
					"DIAL_TYPE":3,
					"PULSE_DIAL_RATIO":4,
					"RING_CADANCE_OFF_TIMER":5,
					"DTMF_DIAL_TIMERS":6,
					"DTMF_ON_TIME":7,
					"DTMF_OFF_TIME":8,
					"AUTOMATIC_NUMBER_TRANSLATION":9,
					"APPLY_ANT":10,
					"DIALED_NUM_LIST":11,
					"SUB_NUM_LIST":12,
					"ANSWER_SUPERVISION":13,
					"ANSWER_SUPERVISION_TYPE":14,
					"FORCED_MATURITY_TIMER":15,
					"DISCONNECT_SIGNAL_DETECTION":16,
					"DISCONNECT_SIGNAL_TYPE":17,
					"OPEN_LOOP_DISCONNECT_TIMER":18,
					"DISCONNECT_TONE_DETECTION":19,
					"ENABLE_DISCONNECT_TONE_DETECTION":20,
					"DISCONNECT_TONE_ON_TIME_1":21,
					"DISCONNECT_TONE_OFF_TIME_1":22,
					"CALLING_LINE_IDENTIFICAITON":23,
					"CLI_TYPE":24,
					"PIN_AUTHENTICATION":25,
					"PAUSE_TIMER":26,
					"FXO_BUSY_WAIT_TIMER":27,
					"TIME_SYSTEM_WAIT_FXO_TO_FREE":28,
					"INCOMING_CALLS":29,
					"ALLOW_INCOMING_CALLS":30,
					"ROUTE_INCOMING_CALLS":31,
					"ROUTE_TO_FXS":32,
					"ROUTE_TO_FIX_DESTION_IC_NUMBER":33,
					"ROUTE_TO_FXS_NOT_ANS_FDN":34,
					"ANSWER_CALL_REOUTE_TO_DIALED_NUM":35,
					"ROUTE_TO_FXS_NOT_ANS_COLLECT_DIGIT_ROUTE_TO_DIALED_NUM":36,
					"FIXED_DESTINATION_NUMBER":37,
					"INCOMING_CALL_ROUTE":38,
					"RING_TIMER":39,
					"AC_IMPEDANCE":40,
					"ECHO_CANCELLATION":41,
					"ENABLE":42,
					"TAIL_LENGTH":43,
					"VOLUME_CONTROL":44,
					"SPEAKING_VOLUME":45,
					"LISTENING_VOLUME":46,
					"FXO_FLASH_TIMER":47,
					"DISCONNECT_TONE_ON_TIME_2":48,
					"DISCONNECT_TONE_OFF_TIME_2":49,
					"DISCONNECT_TONE_ON_TIME_3":50,
					"DISCONNECT_TONE_OFF_TIME_3":51,
					"DISCONNECT_TONE_ON_TIME_4":52,
					"DISCONNECT_TONE_OFF_TIME_4":53};


var DIAL_TYPE = {"TONE":0,
				"PULSE":1};


var PULSE_DIAL_RATIO = {"FOURTY_SIXTY":0,
						"FIFTY_FIFTY":1,
						"THIRTYTHREE_SIXTYSEVER":2};

var ANSWER_SUPERVISION = {"NONE":0,
							"POLARITY_REVERSAL":1};

var DISCONNECT_SINGAL_TYPE = {"NONE":0,
							"POLARITY_REVERAL":1,
							"OPEN_LOOP_DISCONNECT":2};

var CLI_TYPE = {"NONE":0,
				"DTMF":1,
				"FSK_DURING_RING":2,
				"FSK_BEFORE_RING":3};

var IC_CALL_ROUTE = {"SIP1":0,
					"SIP2":1,
					"SIP3":2,
					"DIALED_NUM_BASED":3};

var fXOPortTt = "Pour permettre des appels entrants et sortants le port de FXO doit être permis.";
var nameTt = "Assigner un nom au port de FXO. Ce nom sera envoyé à la partie appelée dans la zone d'identification d'affichage dans le message de SIP.";
var icCallRouteOptionsTt = "Choisir une option appropriée pour conduire tous les appels d'arrivée sur le port de FXO.";
var fixedDestNumberTt = "Si vous choisissiez en tant que l'itinéraire de `d'option de cheminement d'appel d'arrivée à la destination fixe selon le choix d'itinéraire d'appel d'arrivée' ou itinéraire de `à FXS. Sinon répondu dans le temporisateur d'anneau, l'itinéraire au nombre de destination fixe selon le choix d'itinéraire d'appel d'arrivée', introduisent le nombre de destination dans ce domaine.";
var icCallRouteDestTt = "Choisir une option appropriée pour conduire tous les appels d'arrivée sur le port de FXO."; 
var ringTimerTt = "Quand il y a un appel d'arrivée sur le port mobile est conduit sur le port de FXS, le système joue l'anneau au téléphone relié au port de FXS jusqu'à l'échéance du temporisateur d'anneau. Vous pouvez placer ce temporisateur à la durée désirée. Gamme valide : 01 à 99 secondes. Défaut : 45 secondes.";
var authIncomingCallsTt = "Vous pouvez laisser le système authentifier tous les appels d'arrivée sur le port de FXO using PIN Authentication.When que vous employez l'authentification de PIN, le système demanderez à des visiteurs le PIN, après la réponse de l'invitation le port de FXO. Pour employer ce dispositif, vous devez permettre l'authentification de PIN de `' et stocker le PIN table dans de `de PIN authentification'. ";
var answerSupervisionTt = "SETU ATA emploie cette signalisation pour informer l'événement au port de FXS, au sujet de la réponse de l'appel par la partie à distance, toutes les fois que l'appel est fait par le port de FXO. Cette signalisation est employée pour l'application où la machine de PCO ou le PBX est reliée au port de FXS d'ATA, devrait commencer la facturation pour l'événement de l'appel mûri. Vous pouvez n'en choisir ou aucun (si l'échange d'où vous avez pris des services pour FXO ne soutient pas la surveillance de réponse) ou la polarité Reversal.If qu'aucun n'est choisi, vous peut encore employer la surveillance de réponse par le temporisateur de maturité forcé par programme à une valeur appropriée. Le temporisateur obligatoire de maturité signifie la valeur après l'échéance dont, l'appel sera considéré en tant que mûri. Gamme valide : sec 00 à 99. Défaut : sec 15. "; 
var disconnectSignalingTt = "SETU ATA emploie cette signalisation pour informer l'événement au port de FXS, au sujet du débranchage de l'appel par la partie à distance, toutes les fois que l'appel est fait par le port de FXO. Cette signalisation est employée pour l'application où la machine de PCO ou le PBX est reliée au port de FXS d'ATA, devrait arrêter la facturation pour l'appel disconnected. Vous pouvez n'en choisir ou aucun (si l'échange d'où vous avez pris des services pour FXO ne soutient pas la signalisation de débranchement) ou la signalisation de débranchement d'inversion de polarité ou de boucle ouverte Disconnect.If est placée au débranchement de boucle ouverte de `', vous devrait également programmer le temporisateur de débranchement de boucle ouverte à une valeur appropriée. Gamme valide : 001 à 999 millisecondes. Défaut : 200 millisecondes."; 
var disconnectToneDetectionTt = "La détection de soutiens de SETU ATA de la tonalité de débranchement et l'emploient pour libérer le port de FXO d'ATA quand la partie à distance déconnecte l'appel. Permettre la détection de tonalité de débranchement si votre échange d'où vous avez pris des services pour FXO soutient le dispositif. Vous devez également programmer la tonalité de débranchement sur le temporisateur et outre du temps à une valeur appropriée. Gamme valide : 0000 à 9999 millisecondes. Défaut : 750 millisecondes.";
var automaticNumTranslationTt = "La traduction automatique de nombre te permet de modifier ou traduire le numéro composé en un autre nombre. Pour appliquer la FOURMI sur le port de FXO, vous devez permettre la FOURMI et configurer la table de conversion automatique de nombre avec des numéros composés et des nombres de produit de remplacement.";
var CLITypeTt = "Quand il y a un appel d'arrivée sur FXO, le système détectera le CLI selon le type choisi de CLI. Choisir le type de CLI comme soutenu par votre échange. Défaut : `FSK, pendant l'anneau'.";
var dialTypeTt = "Vous pouvez placer à cadran ou à l'impulsion de `' ou la tonalité de `' dépend de l'échange d'où vous avez pris des services pour FXO. La plupart des prestataires de service soutiennent maintenant la composition de tonalité, mais vous devez changer l'arrangement pour palpiter si vous fournisseur de services soutient seulement la composition d'impulsion. Défaut : Tonalité de `'.";
var PulseDialRatioTt = "Vous devez changer cet arrangement seulement si le `à cadran' est placé à l'impulsion de `'. Le rapport de cadran d'impulsion pour l'impulsion de composition sont différent pour différents pays, par conséquent choisissent le rapport selon le pays où ATA est installé. Défaut : 33:67.";
var flashTimerTt = "Le chronométreur instantané de `' spécifie la période de temps l'où des coupures de courant de boucle qui est considéré comme flash. Le fournisseur de services emploie cet événement pour différents dispositifs comme la prise d'appel. Défaut : 600 millisecondes.";
var ringCadenceOffTimerTt = "Si la cadence d'anneau outre du temporisateur programmé ici est moins puis la cadence d'anneau outre de temporisateur d'échange, chaque nouvel anneau (pour le même appel) sera considéré en tant que nouvel appel. Pour empêcher ceci, la cadence d'anneau outre du temporisateur dans ATA devrait être même ou puis la cadence d'anneau outre du temporisateur de l'échange. Gamme valide : sec 1 à 9. Défaut : sec 4.";
var DTMFONTimeTt = "Vous pouvez choisir le DTMF approprié à l'heure pour envoyer des chiffres de DTMF. Le DTMF à l'heure est le temps l'où le chiffre de DTMF qui doit être composé pour sortir reste allumé. Gamme valide : 70 millisecondes à 200 millisecondes. Défaut : 70 millisecondes.";
var DTMFOFFTimeTt = "Vous pouvez choisir le DTMF approprié OUTRE du temps comme espace de temps entre deux chiffres de DTMF. Gamme valide : 100 millisecondes à 200 millisecondes. Défaut : 100msec.";
var pauseTimerTt = "Tout en faisant l'appel à partir du port de FXO, ATA ajoute un certain retard avant de composer pour sortir le numéro après que le port de FXO disparaisse off-hook. Ce retard est programmé comme temporisateur de pause. Pendant ce temps, aucun chiffre n'est composé par ATA sur le port de FXO. Ceci est employé quand l'échange prend un certain tome pour détecter que le port de FXO est off-hook. Gamme valide : sec 1 à 9. Défaut : 1 sec.";
var FXOBusyWaitTimerTt = "Ce temporisateur est employé quand l'option de cheminement d'appel d'arrivée sur le tronc de SIP est placée à la réponse de `l'appel, rassemblent le nombre et le conduisent à FXO'. Après le rassemblement du nombre sur le tronc de SIP, si le port de FXO trouvait occupé, le système attendra cette heure pour que le port de FXO devienne librement. Pendant ce temps, le visiteur obtiendra la tonalité de cheminement d'appel. Gamme valide : 00 à 99 secondes. Défaut : 45 secondes.";
var echoCancellationTt = "L'annulation d'écho est une technique qui permet l'isolement et le filtrage des signaux non désirés provoqués par des échos. Pour améliorer la qualité de la parole, permettre à l'annulation d'écho et placer la longueur de queue de `' selon la longueur de l'écho. Défaut : L'annulation d'écho est permise ; Longueur de queue : 32 millisecondes.";
var ACImpedanceTt = "Ce dispositif te permet de programmer l'impédance à C.A. du port de FXO.";
var speakingVolumeTt = "Vous pouvez ajuster le volume de la parole étant transmis du port de FXO. Défaut : 0 DBs."
var listeningVolumeTt = "Vous pouvez ajuster le volume de la parole étant reçu sur le port de FXO. Défaut : 0 DBs."
						
var giveDialToneFor="Donner la tonalité d'invitation à numéroter pour";
var ifNotDialedRouteToFxo="Si aucun chiffre n'est composé, itinéraire au nombre de destination fixe selon le choix d'itinéraire d'appel d'arrivée";