var wanPort_tbl = new Array("WAN",
							"DHCP",
							"PPPoE",
							"Benutzernummer",
							"Kennwort",
							"halten Namen instand",
							"Static",
							"IP Address",
							"Subnet mask",
							"Zugang",
							"DNS Einstellung",
							"DNS Server",
							"Primär-DNS Address",
							"Domain Name",
							"MAC Klonen",
							"einzigartiges MAC address",
							"Klon-MAC address",
							"100rel/PRACK",
							"Aktivieren 100rel/PRACK?",
							"SIP Timer",
							"SIP LÄDT Timer ein",
							"SIP provisorischer Timer",
							"Allgemeiner Antrag-Timer",
							"SIP über TCP",
							"Aktivieren-SIP über TCP?",
							"Unterhalt UDP-NAT lebendig",
							"Unterhalt Aktivieren UDP-NAT lebendig?",
							"Abstand",
							"Nachrichtentyp",
							"Unterhalt TCP-NAT lebendig",
							"Abstand",
							"STUN",
							"Server-Adresse",
							"Hafen",
							"der SIP Hafen, der Using geholt wird, STUN",
							"Fräser-Öffentlichkeits-IP Address",
							"QoS (Layer3)",
							"SIP DiffServe/ToS",
							"RTP DiffServe/ToS",
							"SIP/RTP Port",
							"SIP- UDP- Port",
							"SIP- TCP- Port",
							"RTP hörender Port",
							"Unterhalt Aktivieren TCP-NAT lebendig?",
							"VLAN/CoS",
							"Aktivieren VLAN/ Lattich?",
							"VLAN IDENTIFIKATION",
							"SIP Lattich",
							"RTP Lattich",
							"Sekundär-DNS Address",
							"Check Router Public IP Address after", // ----- English -----
							"RTP Port Fetched Using STUN",			// ----- English -----
							"SIP over TLS",							// ----- English -----
							"SIP TLS Port");						// ----- English -----

var WANPORT_TBL = {"WAN_PORT": 0,
							"ENABLE_DHCP": 1,
							"ENABLE_PPPOE": 2,
							"USER_NAME": 3,
							"USER_PASSWORD": 4,
							"SERVICE_NAME": 5,
							"ENABLE_STATIC_IP": 6,
							"IP_ADDRESS": 7,
							"SUBNET_MASK": 8,
							"GATEWAY_IP_ADDRESS": 9,
							"DNS_SETTING": 10,
							"DNS_SERVER": 11,
							"DNS_ADDRESS": 12,
							"DOMAIN_NAME": 13,
							"MAC_ADDRESS_SETTING": 14,
							"MAC_ADDRESS": 15,
							"CLONE_MAC_ADDRESS": 16,
							"NUM_100REL_PRACK": 17,
							"ENABLE_100REL_PRACK": 18,
							"SIP_TIMERS": 19,
							"SIP_INVITE_TIMER": 20,
							"SIP_PROVISIONAL_TIMER": 21,
							"GENERAL_REQUEST_TIMER": 22,
							"SIP_OVER_TCP": 23,
							"ENABLE_SIP_OVER_TCP": 24,
							"UDP_NAT_KEEP_ALIVE": 25,
							"ENABLE_UDP_NAT_KEEP_ALIVE": 26,
							"INTERVAL": 27,
							"MESSAGE_TYPE": 28,
							"TCP_NAT_KEEP_ALIVE": 29,
							"INTERVAL": 30,
							"STUN": 31,
							"SERVER_ADDRESS": 32,
							"SERVER_PORT": 33,
							"USE_SIP_PORT_FETCHED_USING_STUN": 34,
							"ROUTER_PUBLIC_IP_ADDRESS": 35,
							"QOS_LAYER3": 6,
							"SIP_DIFFSERVE_TOS": 37,
							"RTP_DIFFSERVE_TOS": 38,
							"SIP_RTP_PORT": 39,
							"SIP_UDP_PORT": 40,
							"SIP_TCP_PORT": 41,
							"RTP_LISTENING_PORT": 42,
							"TCP_NATKEEP_ALIVE_STS": 43,
							"VLAN_PARA": 44,
							"ENABLE_VLAN": 45,
							"VLAN_ID": 46,
							"SIP_COS": 47,
							"RTP_COS": 48,
							"DNS_SECONDARY_ADDR":49,
							"CHECK_ROUTER_PUB_IP_ADDR_AFTER":50,
							"RTP_PORT_FETCHED_USING_STUN":51,
							"SIP_OVER_TLS":52,
							"SIP_TLS_PORT":53};






var dnsServerType_tbl = new Array("Statisch",
									"Automatik");
var DNSSERVERTYPE_TBL ={"STATIC": 0,
									"OBTAIN_AUTOMATICALLY": 1};


var udpNatKeepAliveMsgType_tbl = new Array("REGISTER",
											"BENACHRICHTIGEN");

var UDPNATKEEPALIVEMSGTYPE_TBL = {"REGISTER": 0,
											"NOTIFY": 1};

var InValid_Char_Err_msg="Input enthält unzulässige Zeichen, (0-9, A-f, A-F:) gewährt";
var Same_LanWan_Mac_Err_msg="MAC address LAN-und WAN kann nicht selbe sein. Das WAN-Klon-MAC address bitte ändern.";

var InValid_Num_Err_msg="Nur gleichmäßige Anschlussnummer wird erlaubt.";
var InValid_WanIP_Address_Err_msg="Unzulässiges WAN-IP Address";
var InValid_WanSubNet_Mask_Err_msg="Unzulässiges WAN-Subnet mask";
var InValid_GateWay_Address_Err_msg="Gültige Gateway-Adresse eintragen";
var InValid_Router_IPAddress_Err_msg="Gültiges Fräser-IP address eintragen";
var InValid_DNS_IPAddress_Err_msg="Gültiges DNS IP address eintragen";
var InValid_Stun_ServerAddress_Err_msg="Gültiges betreten betäuben Serveradresse";
var InValid_Clone_Mac_Err_msg="Unzulässiges MAC address";
var InValid_WAN_IP_Err_msg="Gültiges WAN-IP address eintragen";
var InValid_WAN_Subnet_Mask_Err_msg="Gültige WAN-subnet maskadresse eintragen";
var InValid_PPPoE_Err_msg="Unzulässige PPPoE-Benutzernummer";
var Emplty_Pwd_Err_msg="Passwortfeld kann nicht leer sein";
var Nat_Interval_low_err_msg="NAT-Unterhalt-lebendiger Abstand sollte als allgemeiner Antrag-Timer höher sein.";

var Wan_Lan_addr_msg= "Port LAN-und WAN muss im unterschiedlichen subnet sein";

var wan_ip_mask_invalid_msg = "Error! Combination of WAN IP Address and Subnet " +
						"Mask must be valid. Please enter valid combination of WAN IP Address and " +
						"Subnet Mask.";

var webServerPort = "Web- serverhafen (HTTP)" 
var webServerPortHttps = "Web- serverhafen (HTTPS)" 
var ftpServerPort = "Ftp- serverhafen"
var webFtpSIPTcpSamePortMsg = "Web Server Port, FTP Server Port, SIP TCP Port and SIP TLS Port can not be same, please enter valid value";
var lanWanInSameSubnetMsg = "sollten LAN und FAHLES Portip address nicht im gleichen Netz sein. Entweder LAN oder FAHLES Portip address ändern";
var Same_Port_Err_msg="LAN and WAN MAC address can not be same. Please change the WAN Clone MAC address.";

var lanPort_tbl = new Array("LAN",
							"IP Address",
							"Subnet mask",
							"DHCP Server",
							"Start IP Address",
							"Number of Host",
							"Lease Time",
							"Primary DNS Address",
							"Secondary DNS Address",
							"IP Address Reservation",
							"Click",
							"here to add reservation of IP Address"
						   );

var LANPORT_TBL = { "LAN_PORT"			:0,
					"IP_ADDRESS"		:1,
					"SUBNET_MASK"		:2,
					"DHCP_SERVER"		:3,
					"START_IPADDR"		:4,
					"NO_OF_HOST"		:5,
					"LEASE_TIME"		:6,
					"PRI_DNS_ADDR"		:7,
					"SEC_DNS_ADDR"		:8,
					"IP_ADDR_RSVRN"		:9,
					"CLICK"				:10,
					"ADD_RSVR_IPADDR"	:11
				  };

var Dyn_Dns_tbl = new Array("Dynamic DNS (DynDNS.org)",
							"DynDNS Service",
							"Host Name",
							"User Name",
							"Password",
							"Periodically Update",
							"Forcefully Update",
							"Forcefully update after",
							"Days",
							"Manual Update",
							"Click to Update IP Address"
						   );

var DyNDNS_TBL = {	"DyNDNS_PORT"			:0,
					"DYN_DNS_SVR"			:1,
					"HOST_NAME"				:2,
					"USER_NAME"				:3,
					"PASSWORD"				:4,
					"PERIOD_UPDATE"			:5,
					"FORCE_UPDATE"			:6,
					"FORCE_UPDATE_AFTER"	:7,
					"DAYS"					:8,
					"MANUAL_UPDATE"			:9,
					"CLICK_TO_UPDATE"		:10
				 };


var InValid_IP_Err_msg = "Gültiges LAN-IP address eintragen";
var InValid_Start_IP_Err_msg = "Error! IP Address is invalid";
var InValid_Host_Err_msg = "Error! Valid range is 01 to 48";
var InValid_Lease_Time_Err_msg = "Error! Valid range is 0001 to 9999";


var InValid_SubNetMask_Err_msg = "Gültiges LAN-subnet mask eintragen";

var lan_ip_mask_invalid_msg = "Error! Combination of LAN IP Address and Subnet " +
						"Mask must be valid. Please enter valid combination of LAN IP Address and " +
						"Subnet Mask.";


var routingModeHdr = "Verlegung des Modus";
var bridgeMode ="Brcke";
var natMode = "NAT";

var routeModeTt = "`Brücke vorwählen', wenn Sie den LAN und den FAHLEN Hafen des Systems im gleichen Netzsegment halten möchten. Dieses sperrt auch Endsystemadresse-Übersetzung auf FAHLEM Hafen. Rückstellung: NAT.";
var LANPortTt ="Der lan-Hafen wird benutzt, um einen allein stehenden Computer oder einen LAN-Schalter anzuschließen.";
var LanIPAddress1sTt ="Ein gültiges IP address eintragen, das von Ihrem Netzverwalter gegeben wird. Rückstellung: 192.168.2.16";
var LanIPAddress2sTt ="Ein gültiges IP address eintragen, das von Ihrem Netzverwalter gegeben wird. Rückstellung: 192.168.2.1";
var LanIPAddress211gTt ="Ein gültiges IP address eintragen, das von Ihrem Netzverwalter gegeben wird. Rückstellung: 192.168.2.21";
var LanIPAddress211Tt ="Ein gültiges IP address eintragen, das von Ihrem Netzverwalter gegeben wird. Rückstellung: 192.168.2.6";
var LansubnetMaskTt ="Ein gültiges subnet mask eintragen, das von Ihrem Netzverwalter gegeben wird. Rückstellung: 255.255.255.0";
var WANPortTt ="Der FAHLE Hafen wird benutzt, um SETU anzuschließen, das an das IP-Netz ATA ist. Sie können FAHLEN Hafen an LAN-Schalter, Modem oder Fräser anschließen. Einen Verbindungstyp abhängig von dem IP-wendenden Entwurf des Netzes vorwählen, dass Ihr System an angeschlossen wird: `DHCP', `PPPoE' oder `statisches IP'. Rückstellung: Statisch.";
var WanIPAddress1sTt ="Wenn Sie `statisches IP' als Verbindungstyp vorgewählt haben, das IP address eintragen, das von Ihrem Netzverwalter oder von ISP bereitgestellt wird. Rückstellung: 192.168.1.191.";
var WanIPAddress2sTt ="Wenn Sie `statisches IP' als Verbindungstyp vorgewählt haben, das IP address eintragen, das von Ihrem Netzverwalter oder von ISP bereitgestellt wird. Rückstellung: 192.168.1.151.";
var WanIPAddress211gTt ="Wenn Sie `statisches IP' als Verbindungstyp vorgewählt haben, das IP address eintragen, das von Ihrem Netzverwalter oder von ISP bereitgestellt wird. Rückstellung: 192.168.1.196.";
var WanIPAddress211Tt ="Wenn Sie `statisches IP' als Verbindungstyp vorgewählt haben, das IP address eintragen, das von Ihrem Netzverwalter oder von ISP bereitgestellt wird. Rückstellung: 192.168.1.171.";
var WansubnetMaskTt ="Ein gültiges subnet mask eintragen, das von Ihrem Netzverwalter oder von ISP bereitgestellt wird. Rückstellung: 255.255.255.0";
var gatewayIPAddrTt ="Zugangsadresse bezieht sich auf Ihre Fräseradresse, die Ihr Netz von anderen Netzsegmenten trennt. Wenn Sie `statisches IP' als Verbindungstyp vorgewählt haben, die Zugangsadresse eintragen, die von Ihrem Netzverwalter oder von ISP bereitgestellt wird.";
var userNameTt ="Den PPPoE Benutzernamen eintragen, der von Ihrem ISP angegeben wird.";
var userPasswordTt ="Das PPPoE Kennwort eintragen, das von Ihrem ISP bereitgestellt wird.";
var serviceNameTt ="PPPoE Service-Namen eintragen, wenn vorausgesetzt durch Ihr ISP.";
var DNSSettingsTt ="DNS wird verwendet, um Domain Name zum IP address zu lösen. `Static vorwählen', um einen DNS-Bediener Ihrer eigenen Wahl ungeachtet der Connection-Art zusammenzubauen. Sie können das automatische Wahl `vorwählen', nur wenn FAHLER Portverbindungstyp DHCP oder PPPoE ist.";
var primaryDNSAddressTt ="Die Primär-DNS-Adresse eintragen, die von Ihrem Netzverwalter oder von ISP bereitgestellt wird. Sie müssen dieses Feld programmieren, nur wenn Sie `Static' als DNS-Bediener vorgewählt haben."; 
var secondaryDNSAddrTt ="Die Sekundär-DNS-Adresse eintragen wenn vorausgesetzt durch Ihren Netzverwalter oder ISP. Wenn die Primär-DNS dann unerreichbar ist, benutzt System den Sekundär-DNS-Bediener, um Domain Name zum IP address zu lösen.";
var domainNameTt ="Das DNS-Domain Name eintragen wenn vorausgesetzt durch Ihren Netzverwalter. Sie können dieses Feld programmieren müssen, wenn Sie `Static' als DNS-Bediener vorgewählt haben.";
var VLANCosHdrTt ="VLAN/CoS ermöglichen, Überschrift der Schicht 2 VLAN in den Paketen hinzuzufügen, die den FAHLEN Hafen des Systems verlassen. Die VLAN Überschrift schließt VLAN Identifikation und Lattich mit ein, die Sie wie pro Ihre Netzinstallation definieren können.";
var VLANIDTt ="Die VLAN Identifikation eintragen, die in allen Paketen hinzugefügt werden sollte, die den FAHLEN Hafen verlassen.";
var SIPCoSTt ="Die `L2 Lattich (Priorität) Spitzen definieren', die layer2 VLAN in der Überschrift aller SCHLÜCKCHEN-Pakete hinzugefügt werden sollten."; 
var RTPCosTt ="Die `L2 Lattich (Priorität) Spitzen definieren', die Layer2 VLAN in der Überschrift aller RTP Pakete hinzugefügt werden sollten."; 
var QoSLayer3Tt ="";
var SIPDiffServeTOSTt ="Die Prioritätsspitzen für SCHLÜCKCHEN-Mitteilungen definieren. Sie können irgendeinen Wert von 00 bis 63 spezifizieren. Rückstellung: 26.";
var RTPDiffServeTOSTt ="Definiert die Prioritätsspitzen für RTP Pakete. Sie können irgendeinen Wert von 00 bis 63 spezifizieren. Rückstellung: 46.";
var uniqueMACAddrTt ="Einzigartiges MAC address vorwählen, wenn Sie das einzigartige MAC address des FAHLEN Hafens verwendet werden wünschen. ";
var cloneMACAddrTt ="Klon-MAC address vorwählen, wenn Sie das einzigartige MAC address nicht verwendet werden wünschen. Das Klon-MAC address in hexadezimales Format eintragen. ";
var FTPServerPortTt ="Sie können den ftp- serverhafen für das eingebettete ftp server (benutzt für Software-Aufsteigen) zum gewünschten Wert ändern. Rückstellung: 21.";

var webServerPortTt ="You may change the Web Server Port (HTTP) for Jeeves, the embedded web server for system configuration, to the desired value. Default: 80.";
var webServerHttpsTt = "You may change the Web Server Port (HTTPS) for Jeeves, the embedded web server for system configuration, to the desired value. Default: 443.";
var LanDhcpSvrTt = "You can configure system as DHCP server to assign dynamic IP addresses to the hosts connected in the LAN. By defualt, DHCP Server is enabled.";
var LanStrtIpAddrTt = "Enter the Start IP Address which you want to assign to the host connected in the LAN.";
var LanNumOfHostTt = "Enter the total number of hosts which you want system to assign IP address. Valid range is 1 to 48. Default: 24";
var LanLeaseTimeTt = "Enter the time for which you want system to assign the IP address. Before expiry of this time, if host hasn't refresh the binding, system shall release the IP address and that IP address can be assigned to any other host in the LAN. Valid range is 1 to 9999. Default: 480 minutes";
var LanPriDnsIpAddrTt = "Enter the primary DNS address which you want system to assign to the host in the LAN.";
var LanSecDnsIpAddrTt = "Enter the secondary DNS address which you want system to assign to the host in the LAN.";
var LanIpAddrRsrvnTt = "Using DHCP, it's possible to assign static IP address to few hosts in the LAN. This is generally required to assign static IP address to the servers like Web, FTP etc. IP Address Reservation gives this flexibility. You should configure MAC Address of the host and respective IP address which you want to assign to the host.";
var DynDnsHeadTt = "When system is assigned dynamic IP Address using either DHCP or PPPoE, SIP devices wants to make Peer-to-Peer call need changing the configuration periodically whenever new IP Address is assigned to the system. Dynamic DNS solves this problem. Please visit www.dyndns.org for more details.";
var DynDnsServTt = "Select the check box if you want to enable DynDNS. Default is unchecked.";
var DynDnsHostNameTt = "Enter the host name provided by DynDNS provider.";
var DynDnsUserNameTt = "Enter the user name provided by DynDNS provider.";
var DynDnsPswdTt = "Enter the password provided by DynDNS provider.";
var DynDnsPeriodUpdateTt= "If you select 'Yes' check box, system will check in every 10 minutes (fixed) for new IP address and if found, new IP address will be updated in DynDNS server.";
var DynDnsForceUpdateTt = "If you want system to update the IP address in the DynDNS server periodically irrespective whether IP address is changed or not, select the Yes check box and also configure the respective day/s after which system should update the IP address in DynDNS server. Valid range of Forcefully Update After is 1 to 99. Default: 7 days.";