var fxoPortPara_tbl = new Array("FXO Hafen",
							"FXO Portstatus",
							"Name", 
							"Zeigerartig",
							"Impuls-Vorwahlknopf-Verhältnis",
							"Ring-Rhythmus weg vom Timer", 
							"DTMF Vorwahlknopf-Timer",
							"DTMF RECHTZEITIG",
							"DTMF WEG von der Zeit",
							"Automatische Zahl-Übersetzung",
							"AMEISE anwenden?",
							"Gewählte Zahl-Liste ",
							"Ersatzzahl-Liste",
							"Antwort-Überwachung",
							"Antwort-Überwachungs-Art",
							"Zwangsreife-Timer",
							"Signalisieren-Abfragung trennen",
							"Signalisieren trennen", 
							"Offene Schleife-Trennungs-Timer",
							"Ton-Abfragung trennen",
							"Trennungs-Ton-Abfragung ermöglichen?",
							"Disconnect Tone ON Time 1",
							"Disconnect Tone OFF Time 1",
							"Identifizierung der rufenden Leitung",
							"CLI-Art",
							"Pin-Authentisierung ",
							"Pausen-Timer",
							"FXO beschäftigter Wartezeit-Timer",
							"Zeit, auf der das System warten sollte, dass FXO für Wegewahlanruf durch ihn frei ist",
							"Eingehende Anrufe",
							"Eingehende Anrufe erlauben?",
							"Die eingehenden Anrufe verlegen ",
							"Weg zu FXS",
							"Weg zu örtlich festgelegter Bestimmungsortzahl wie pro Wegvorwähler des eingehenden Anrufs",
							"Weg zu FXS. Wenn Sie nicht innerhalb des Ringtimers, Weg auf örtlich festgelegte Bestimmungsortzahl wie pro Wegvorwähler des eingehenden Anrufs geantwortet werden ",
							"Den Anruf beantworten, Zahl sammeln u. wie pro Wegvorwähler des eingehenden Anrufs verlegen", 
							"Weg zu FXS. Wenn Sie nicht innerhalb des Ringtimers geantwortet werden, den Anruf beantworten, Zahl sammeln u. wie pro Wegvorwähler des eingehenden Anrufs verlegen", 
							"Örtlich festgelegte Bestimmungsort-Zahl",
							"Weg des eingehenden Anrufs ",
							"Ring-Timer",
							"Wechselstrom-Widerstand ",
							"Echo-Annullierung  ",
							"Ermöglichen",
							"Länge anbinden ",
							"Lautstärkeregler ",
							"Sprechendes Volumen",
							"Hörendes Volumen",
							"Greller Timer",
							"Disconnect Tone ON Time 2",
							"Disconnect Tone OFF Time 2",
							"Disconnect Tone ON Time 3",
							"Disconnect Tone OFF Time 3",
							"Disconnect Tone ON Time 4",
							"Disconnect Tone OFF Time 4");



var acImpdeancePara= new Array("600? ",
								"900? ",
								"270? + (750? || 150 N-Düngung) ",
								"220? + (820? || 115 N-Düngung) ",
								"370? + (620? || 310 N-Düngung) ",
								"320? + (1050? || 230 N-Düngung) ",
								"370? + (820? || 110 N-Düngung) ",
								"275? + (780? || 115 N-Düngung) ",
								"120? + (820? || 110 N-Düngung) ",
								"350? + (1000? || 210 N-Düngung) ",
								"200? + (680? || 100 N-Düngung) ",
								"600? + 2.16 F ",
								"900? + 1 F ",
								"900? + 2.16 F ",
								"600? + 1 F ",
								"Globaler komplizierter Widerstand");

var dialType = new Array("Ton",
						"Impuls");


var pulseDialRatio = new Array("40:60",
								"50:50",
								"33:67");


var answerSupervision = new Array("Kein",
									"Polaritätswechsel");



var disconnectSignalType = new Array("Kein",
									"Polaritätswechsel",
									"Offene Schleife-Trennung");

var cliType = new Array("Kein",
						"DTMF",
						"FSK, während des Ringes", 
						"FSK, vor Ring");

var icCallRoute = new Array("SIP1",
							"SIP2",
							"SIP3",
							"Gewählte Zahl-Tabelle"); 



var Fixed_dest_num_Err_msg = "Örtlich festgelegte Bestimmungsort-Zahl kann balnk nicht gelassen werden";
var Invalid_char_Err_msg ="Eingang enthält unzulässige Buchstaben, nur ASCII-Buchstaben erlaubt werden."
var Invalid_input_char_Err_msg="% ' *-+.) wird gewährt"
var Time_left_blank_Err_msg	= "Timer kann nicht freigelassen werden.";
var Invalid_input_09_Err_msg ="Eingang enthält unzulässige Buchstaben, (0-9) wird gewährt.";

var incomingCallHdr = "Eingehender Anruf"; 
var icCallRouteOptionHdr= "Eingehender Anruf-Wegewahl-Wahlen"; 
var ignoreIcCall = "Eingehende Anrufe ignorieren" 
var click_dnb_Tt = "Klicken, um gewählte Zahl-Tabelle zusammenzubauen" 
var authIcCallsLbl = "Eingehende Anrufe beglaubigen"; 
var click_pin_auth_Tt = "Klicken, um PIN-Authentisierung zusammenzubauen"; 
var antTitle= "Klicken, um automatische Zahl-Übersetzung zusammenzubauen"

//////////////////////////////////////////////////////////////////////////


var FXOPORTPARA_TBL = {"FXO_PORT":0,
					"FXO_PORT_STATUS":1,
					"FXO_PORT_NAME":2,
					"DIAL_TYPE":3,
					"PULSE_DIAL_RATIO":4,
					"RING_CADANCE_OFF_TIMER":5,
					"DTMF_DIAL_TIMERS":6,
					"DTMF_ON_TIME":7,
					"DTMF_OFF_TIME":8,
					"AUTOMATIC_NUMBER_TRANSLATION":9,
					"APPLY_ANT":10,
					"DIALED_NUM_LIST":11,
					"SUB_NUM_LIST":12,
					"ANSWER_SUPERVISION":13,
					"ANSWER_SUPERVISION_TYPE":14,
					"FORCED_MATURITY_TIMER":15,
					"DISCONNECT_SIGNAL_DETECTION":16,
					"DISCONNECT_SIGNAL_TYPE":17,
					"OPEN_LOOP_DISCONNECT_TIMER":18,
					"DISCONNECT_TONE_DETECTION":19,
					"ENABLE_DISCONNECT_TONE_DETECTION":20,
					"DISCONNECT_TONE_ON_TIME_1":21,
					"DISCONNECT_TONE_OFF_TIME_1":22,
					"CALLING_LINE_IDENTIFICAITON":23,
					"CLI_TYPE":24,
					"PIN_AUTHENTICATION":25,
					"PAUSE_TIMER":26,
					"FXO_BUSY_WAIT_TIMER":27,
					"TIME_SYSTEM_WAIT_FXO_TO_FREE":28,
					"INCOMING_CALLS":29,
					"ALLOW_INCOMING_CALLS":30,
					"ROUTE_INCOMING_CALLS":31,
					"ROUTE_TO_FXS":32,
					"ROUTE_TO_FIX_DESTION_IC_NUMBER":33,
					"ROUTE_TO_FXS_NOT_ANS_FDN":34,
					"ANSWER_CALL_REOUTE_TO_DIALED_NUM":35,
					"ROUTE_TO_FXS_NOT_ANS_COLLECT_DIGIT_ROUTE_TO_DIALED_NUM":36,
					"FIXED_DESTINATION_NUMBER":37,
					"INCOMING_CALL_ROUTE":38,
					"RING_TIMER":39,
					"AC_IMPEDANCE":40,
					"ECHO_CANCELLATION":41,
					"ENABLE":42,
					"TAIL_LENGTH":43,
					"VOLUME_CONTROL":44,
					"SPEAKING_VOLUME":45,
					"LISTENING_VOLUME":46,
					"FXO_FLASH_TIMER":47,
					"DISCONNECT_TONE_ON_TIME_2":48,
					"DISCONNECT_TONE_OFF_TIME_2":49,
					"DISCONNECT_TONE_ON_TIME_3":50,
					"DISCONNECT_TONE_OFF_TIME_3":51,
					"DISCONNECT_TONE_ON_TIME_4":52,
					"DISCONNECT_TONE_OFF_TIME_4":53};



var DIAL_TYPE = {"TONE":0,
				"PULSE":1};


var PULSE_DIAL_RATIO = {"FOURTY_SIXTY":0,
						"FIFTY_FIFTY":1,
						"THIRTYTHREE_SIXTYSEVER":2};

var ANSWER_SUPERVISION = {"NONE":0,
							"POLARITY_REVERSAL":1};

var DISCONNECT_SINGAL_TYPE = {"NONE":0,
							"POLARITY_REVERAL":1,
							"OPEN_LOOP_DISCONNECT":2};

var CLI_TYPE = {"NONE":0,
				"DTMF":1,
				"FSK_DURING_RING":2,
				"FSK_BEFORE_RING":3};

var IC_CALL_ROUTE = {"SIP1":0,
					"SIP2":1,
					"SIP3":2,
					"DIALED_NUM_BASED":3};

var fXOPortTt = "Um die ankommenden und abgehenden Rufe zu erlauben muss der FXO Hafen ermöglicht werden.";
var nameTt = "Einen Namen dem FXO Hafen zuordnen. Der angerufenen Partei im Anzeigennamensfeld in der SCHLÜCKCHEN-Mitteilung dieser Name wird geschickt.";
var icCallRouteOptionsTt = "Eine passende Wahl vorwählen, um alle eingehenden Anrufe auf dem FXO Hafen zu verlegen.";
var fixedDestNumberTt = "Wenn Sie als Wegewahlwahl entweder `Weg des eingehenden Anrufs zu örtlich festgelegtem Bestimmungsort wie pro Wegvorwähler des eingehenden Anrufs' oder `Weg zu FXS vorwählten. Wenn er nicht innerhalb des Ringtimers geantwortet wird, geben Weg auf örtlich festgelegte Bestimmungsortzahl wie pro Wegvorwähler des eingehenden Anrufs', die Bestimmungsort-Zahl in diesem Feld ein.";
var icCallRouteDestTt = "Eine passende Wahl vorwählen, um alle eingehenden Anrufe auf dem FXO Hafen zu verlegen."; 
var ringTimerTt = "Wenn es gibt, wird ein eingehender Anruf auf dem beweglichen Hafen auf FXS Hafen, das System spielt Ring am Telefon verlegt, das an FXS Hafen bis das Ende des Ring-Timers angeschlossen wird. Sie können diesen Timer auf die gewünschte Dauer einstellen. Gültige Strecke: 01 bis 99 Sekunden. Rückstellung: 45 Sekunden.";
var authIncomingCallsTt = "Sie können das System alle eingehenden Anrufe auf dem FXO Hafen using PIN Authentication.When beglaubigen lassen, das Sie PIN-Authentisierung verwenden, das System bitten Anrufer um PIN, nachdem Sie ersuchen der FXO Hafen beantwortet haben. Um diese Funktion zu benutzen, müssen Sie `PIN-Authentisierung ermöglichen' und den PIN in der `PIN-Authentisierung speichern' Tabelle. ";
var answerSupervisionTt = "SETU ATA Gebrauch dieses Signalisieren, das Ereignis zum FXS Hafen, über das Antworten des Anrufs durch FernPartei zu informieren, wann immer der Anruf durch FXO Hafen gebildet wird. Dieses Signalisieren wird für die Anwendung, in der die PCO Maschine oder der PBX an den FXS Hafen von ATA angeschlossen wird, sollte Gebührenzählung für das Ereignis des gereiften Anrufs beginnen verwendet. Sie können entweder keine vorwählen (wenn Austausch von, dem Sie Services für FXO genommen haben, nicht Antwort-Überwachung stützt), oder Polarität Reversal.If, das keines, Sie vorgewählt wird, kann Antwort-Überwachung durch Programm gezwungenen Reife-Timer zu einem passenden Wert noch verwenden. Zwangsreife-Timer bedeutet den Wert nachdem Ende, von dem, der Anruf gereift gehalten wird. Gültige Strecke: sek 00 bis 99. Rückstellung: sek 15. "; 
var disconnectSignalingTt = "SETU ATA Gebrauch dieses Signalisieren, das Ereignis zum FXS Hafen, über Trennung des Anrufs durch FernPartei zu informieren, wann immer der Anruf durch FXO Hafen gebildet wird. Dieses Signalisieren wird für die Anwendung, in der die PCO Maschine oder der PBX an den FXS Hafen von ATA angeschlossen wird, sollte Gebührenzählung für den getrennten Anruf stoppen verwendet. Sie können entweder keine vorwählen (wenn Austausch von, dem Sie Services für FXO genommen haben, nicht Trennungs-Signalisieren stützt), oder Polaritätswechsel-oder der offenen Schleife-Disconnect.If Trennungs-Signalisieren wird auf `offene Schleife-Trennung', Sie sollte offene Schleife-Trennungs-Timer zu einem passenden Wert auch programmieren eingestellt. Gültige Strecke: 001 bis 999 Millisekunde. Rückstellung: 200 Millisekunde."; 
var disconnectToneDetectionTt = "SETU verwenden ATA Stützabfragung des Trennungs-Tones und ihn, um den FXO Hafen von ATA freizugeben, wenn FernPartei den Anruf trennt. Trennungs-Ton-Abfragung ermöglichen, wenn Ihr Austausch von, dem Sie Services für FXO genommen haben, die Eigenschaft stützt. Sie müssen auch den Trennungs-Ton auf Timer und weg von der Zeit zu einem passenden Wert programmieren. Gültige Strecke: 0000 bis 9999 Millisekunde. Rückstellung: 750 Millisekunde.";
var automaticNumTranslationTt = "Automatische Zahl-Übersetzung ermöglicht Ihnen, die gewählte Nummer in eine andere Zahl zu ändern oder zu übersetzen. Um AMEISE auf dem FXO Hafen anzuwenden, müssen Sie AMEISE ermöglichen und automatische Zahl-Umsetzungstabellemit gewählten Nummern und Ersatzzahlen zusammenbauen.";
var CLITypeTt = "Wenn es einen eingehenden Anruf auf FXO gibt, ermittelt System CLI wie pro vorgewählte CLI-Art. CLI-Art vorwählen, wie durch Ihren Austausch gestützt. Rückstellung: `FSK, während des Ringes'.";
var dialTypeTt = "Sie können zeigerartig einstellen entweder zum `Impuls', oder `Ton' hängt vom Austausch von ab, dem Sie Services für FXO genommen haben. Die meisten Dienstanbietern stützen jetzt das Tonwählen, aber Sie müssen die Einstellung ändern, um zu pulsieren, wenn Sie Diensterbringer Impulsnur wählen stützen. Rückstellung: `Ton'.";
var PulseDialRatioTt = "Sie müssen diese Einstellung ändern, nur wenn das zeigerartige `' auf `Impuls eingestellt wird'. Impuls-Vorwahlknopf-Verhältnis für Wählimpuls sind für verschiedene Länder unterschiedlich, wählen folglich das Verhältnis wie pro das Land, in dem ATA vor, ist angebracht. Rückstellung: 33:67.";
var flashTimerTt = "`Greller Timer' spezifiziert den Zeitraum, für den Schleifenstrombrüche, das Blitz gehalten wird. Diensterbringer verwendet dieses Ereignis für verschiedene Eigenschaften wie Anrufeinfluß. Rückstellung: 600 Millisekunden.";
var ringCadenceOffTimerTt = "Wenn Ring-Rhythmus weg vom Timer, der hier programmiert wird, kleiner dann der Ringrhythmus weg vom Timer des Austausches ist, wird jeder neue Ring (für den gleichen Anruf) als neuen Anruf angesehen. Um dieses, sollte Ring-Rhythmus weg vom Timer in ATA zu verhindern selbe oder sein dann der Ringrhythmus weg vom Timer des Austausches. Gültige Strecke: sek 1 bis 9. Rückstellung: sek 4.";
var DTMFONTimeTt = "Sie können das passende DTMF rechtzeitig für das Senden der DTMF Stellen vorwählen. Das DTMF rechtzeitig ist die Zeit, für die die DTMF Stelle, die, zu sein heraus gewählte Überreste AN ist. Gültige Strecke: 70 Millisekunde bis 200 Millisekunde. Rückstellung: 70 Millisekunde.";
var DTMFOFFTimeTt = "Sie können das passende DTMF WEG von der Zeit als der Zeitabstand zwischen zwei DTMF Stellen vorwählen. Gültige Strecke: 100 Millisekunde bis 200 Millisekunde. Rückstellung: 100msec.";
var pauseTimerTt = "Während fügt die Herstellung des Anrufs vom FXO Hafen, ATA irgendeine Verzögerung hinzu, bevor sie heraus die Nummer wählt, nachdem FXO Hafen Aushänge geht. Diese Verzögerung wird als Pausen-Timer programmiert. Während dieser Zeit wird keine Stelle durch das ATA auf FXO Hafen gewählt. Dieses wird verwendet, wenn Austausch irgendeinen Band nimmt, um zu ermitteln, dass FXO Hafen Aushänge ist. Gültige Strecke: sek 1 bis 9. Rückstellung: 1 sek.";
var FXOBusyWaitTimerTt = "Dieser Timer wird, wenn Wegewahlwahl des eingehenden Anrufs auf SCHLÜCKCHEN Stamm auf `Antwort der Anruf eingestellt wird, sammeln Zahl u. verlegen auf FXO' benutzt. Nachdem es Zahl auf SCHLÜCKCHEN Stamm, wenn FXO Hafen beschäftigt fand, System wartet diese Zeit gesammelt hat, damit FXO Hafen frei wird. Während dieser Zeit erhält Anrufer Anrufwegewahlton. Gültige Strecke: 00 bis 99 Sekunden. Rückstellung: 45 Sekunden.";
var echoCancellationTt = "Echoannullierung ist eine Technik, die Lokalisierung und die Entstörung der unerwünschten Signale erlaubt, die durch Echos verursacht werden. Um Qualität der Rede zu verbessern, Echo-Annullierung ermöglichen und die `Endstücklänge' entsprechend der Länge des Echos einstellen. Rückstellung: Echo-Annullierung wird ermöglicht; Endstücklänge: 32 Millisekunden.";
var ACImpedanceTt = "Diese Eigenschaft erlaubt Ihnen, den Wechselstrom-Widerstand des FXO Hafens zu programmieren.";
var speakingVolumeTt = "Sie können das Sprachevolumen justieren, das vom FXO Hafen übertragen wird. Rückstellung: 0 DB."
var listeningVolumeTt = "Sie können das Sprachevolumen justieren, das auf dem FXO Hafen empfangen wird. Rückstellung: 0 DB."
			
var giveDialToneFor="Wählton für geben";
var ifNotDialedRouteToFxo="Wenn keine Stelle gewählt wird, Weg zu örtlich festgelegter Bestimmungsortzahl wie pro Wegvorwähler des eingehenden Anrufs";						