//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//@Load related function for 4 div 
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
function LoadDiv()
{
	if(document.getElementById('TOPRIGHT').style.MozAppearance=="")
	{
		document.getElementById('TOPRIGHT').style.overflow='-moz-scrollbars-none';
		document.getElementById('BOTTOMLEFT').style.overflow='-moz-scrollbars-none';
		On_Load();
	}
	else 
		document.getElementById('BOTTOMRIGHT').onscroll=On_Scroll;
}
function On_Load()
{
	document.getElementById('TOPRIGHT').scrollLeft=document.getElementById('BOTTOMRIGHT').scrollLeft;
	document.getElementById('BOTTOMLEFT').scrollTop=document.getElementById('BOTTOMRIGHT').scrollTop;
	window.setTimeout('On_Load();',1);
}
function On_Scroll()
{
	document.getElementById('TOPRIGHT').scrollLeft=document.getElementById('BOTTOMRIGHT').scrollLeft;
	document.getElementById('BOTTOMLEFT').scrollTop=document.getElementById('BOTTOMRIGHT').scrollTop;
}

//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//@Load related function for 2 div 
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
function Load2Div()
{		

	document.getElementById('BOTTOM').onscroll=On_Scroll2Div;

}
function On_Load2Div()
{
	document.getElementById('TOP').scrollLeft=document.getElementById('BOTTOM').scrollLeft;
	window.setTimeout('On_Load2Div();',1);
}
function On_Scroll2Div()
{
	document.getElementById('TOP').scrollLeft=document.getElementById('BOTTOM').scrollLeft;
}

//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
function getScrollWidth()
{	  
	//--To get scrollbar width, create two 'div' one is child div
	//--having scrollbar..and measure scrollbar width.
	var i = document.createElement('p');
	i.style.width = '100%';
	i.style.height = '200px';
	
	var o = document.createElement('div');
	o.style.position = 'absolute';
	o.style.top = '0px';
	o.style.left = '0px';
	o.style.visibility = 'hidden';
	o.style.width = '200px';
	o.style.height = '150px';
	o.style.overflow = 'hidden';
	o.appendChild(i);
	
	document.body.appendChild(o);
	var w1 = i.offsetWidth;
	var h1 = i.offsetHeight;
	o.style.overflow = 'scroll';
	var w2 = i.offsetWidth;
	var h2 = i.offsetHeight;
	if (w1 == w2)
	{
		w2 = o.clientWidth;
	}
	
	if (h1 == h2)
	{
		h2 = o.clientWidth;
	}
	
	document.body.removeChild(o);
	
	return (w1-w2);
}
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//@Document width,height function
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
function AdjustTdDivWidth(tdDiv1, tdDiv2)
{	
	if(document.getElementById(tdDiv1).offsetWidth < document.getElementById(tdDiv2).offsetWidth)
		document.getElementById(tdDiv1).style.width = document.getElementById(tdDiv2).offsetWidth + "px";
	else
		document.getElementById(tdDiv2).style.width = document.getElementById(tdDiv1).offsetWidth + "px";
}

function AdjustTdDivHeight(tdDiv1, tdDiv2)
{	

	if(document.getElementById(tdDiv1).offsetHeight < document.getElementById(tdDiv2).offsetHeight)
	{
		document.getElementById(tdDiv1).style.height = document.getElementById(tdDiv2).offsetHeight + "px";
		document.getElementById(tdDiv2).style.height = document.getElementById(tdDiv2).offsetHeight + "px";
	}
	else
	{
		document.getElementById(tdDiv2).style.height = document.getElementById(tdDiv1).offsetHeight + "px";
		document.getElementById(tdDiv1).style.height = document.getElementById(tdDiv1).offsetHeight + "px";
	}
}
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//@single div 
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
function AdjustYDimFrameDisplay(buttonDivHeight)
{
	//set Width
	var widthOffset = parseInt(GetDivWidthOffset('BOTTOM'));
	SetDivWidth('BOTTOM',widthOffset,1280+getScrollWidth());

	//setHeight
	if(buttonDivHeight != undefined)
	{
		var heightOffset = parseInt(GetDivHeightOffset('BOTTOM',buttonDivHeight));
	}
	else
	{
		var heightOffset = parseInt(GetDivHeightOffset('BOTTOM',56));
	}
	SetDivHeight('BOTTOM',heightOffset,1024+getScrollWidth());
}

function ResizeYDimFrameDisplay(buttonDivHeight)
{
	//Find the total widht required to disaply the table.
	var	bottomWidth = document.getElementById("BOTTOMTABLE").offsetWidth;
	var bottomHeight = document.getElementById("BOTTOMTABLE").offsetHeight;

	//Set Width
	var totalWidth = parseInt(GetDocumentTotalWidth());
	var widthOffset =  parseInt(document.getElementById('BOTTOM').style.marginLeft);
	
	if (bottomWidth > (totalWidth-(widthOffset+getScrollWidth())))
	{
		//Div size is larger than toal available space to dispaly it
		SetDivWidth('BOTTOM',widthOffset,1280+getScrollWidth());
	}
	else
	{
		//Div size is smallar than total available space to display it
		var widthLess = totalWidth-(bottomWidth + getScrollWidth());
		SetDivWidth('BOTTOM',widthLess,1280+getScrollWidth());
	}

	//Set Height
	var totalHeight = parseInt(GetDocumentTotalHeight());
	if(buttonDivHeight != undefined)
	{
		var heightOffset =  parseInt(document.getElementById('BOTTOM').style.marginTop) + buttonDivHeight;
	}
	else
	{
		var heightOffset =  parseInt(document.getElementById('BOTTOM').style.marginTop) + 56;
	}

	if (bottomHeight > (totalHeight-(heightOffset+getScrollWidth())))
	{
		//Div size is larger than toal available space to dispaly it
		SetDivHeight('BOTTOM',heightOffset,1024+getScrollWidth());
	}
	else
	{
		//Div size is smallar than total available space to display it
		var heightLess = totalHeight-(bottomHeight + getScrollWidth());
		SetDivHeight('BOTTOM',heightLess,1024+getScrollWidth());
	}	
}



//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//@Two div 
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//*********************************************************
//--TWO DIV having TOP-BOTTOM
//*********************************************************
function Adjust1DimFrameDisplay(buttonDivHeight)
{
	AdjustTableDisplay();

	var divTop = parseInt(document.getElementById("BOTTOM").style.marginTop);
	var divLeft = parseInt(document.getElementById("BOTTOM").style.marginLeft);
	var divWidth = parseInt(document.getElementById("BOTTOM").offsetWidth) + divLeft + getScrollWidth() + 1;
	var divHeight = parseInt(document.getElementById("BOTTOM").offsetHeight) + divTop + getScrollWidth() + 81;
	
	//Deside the scrollbar is required or not.
	if(divWidth > parseInt(GetDocumentTotalWidth()) ||
		divHeight > parseInt(GetDocumentTotalHeight()))
	{
		document.getElementById("BOTTOM").style.overflow = 'auto';
	}

	//Set both div's width
	var widthOffset = parseInt(GetDivWidthOffset('BOTTOM'));	

	SetDivWidth('TOP',(widthOffset+getScrollWidth()),1280);
  SetDivWidth('BOTTOM',widthOffset,1280+getScrollWidth());

	//set both div's height
	if(buttonDivHeight != undefined)
	{
		var heightOffset = parseInt(GetDivHeightOffset('BOTTOM',buttonDivHeight));
	}
	else
	{	
		var heightOffset = parseInt(GetDivHeightOffset('BOTTOM',56));
	}
	SetDivHeight('BOTTOM',heightOffset,1024+getScrollWidth());	
	AdjustTableDisplay();
}

//*********************************************************
//--RESIZIING two DIV having TOP-BOTTOM
//*********************************************************
function Resize1DimFrameDisplay(buttonDivHeight)
{
	AdjustTableDisplay();
	var totalWidth = parseInt(GetDocumentTotalWidth());
	var totalHeight = parseInt(GetDocumentTotalHeight());
	var divTop = parseInt(document.getElementById("BOTTOM").style.marginTop);
	var divLeft = parseInt(document.getElementById("BOTTOM").style.marginLeft);
	var divWidth = parseInt(document.getElementById("BOTTOM").offsetWidth) + divLeft + getScrollWidth() + 1;
	var divHeight = parseInt(document.getElementById("BOTTOM").offsetHeight) + divTop + getScrollWidth() + 81;
	
	//Deside the scrollbar is required or not.
	if((divWidth > totalWidth) ||
		(divHeight > totalHeight))
	{
		document.getElementById("BOTTOM").style.overflow = 'scroll';
	}

	//Set both div's width

	if (document.getElementById("BOTTOMTABLE").offsetWidth > (totalWidth-(divLeft+getScrollWidth()) ))
	{
		//Div size is larger than toal available space to dispaly it
		widthOffset = divLeft;
	}
	else
	{
		//Div size is smallar than total available space to display it
		widthOffset = (totalWidth-(document.getElementById("BOTTOMTABLE").offsetWidth +getScrollWidth()));
	}

	SetDivWidth('TOP',(widthOffset+getScrollWidth()),1280);
  	SetDivWidth('BOTTOM',widthOffset,1280+getScrollWidth());


	//set both div's height
	if(buttonDivHeight != undefined)
	{
		divHeight =  parseInt(document.getElementById("BOTTOM").style.marginTop) + parseInt(buttonDivHeight);
	}
	else
	{
		divHeight =  parseInt(document.getElementById("BOTTOM").style.marginTop) + 56;
	}
	

	if (document.getElementById("BOTTOMTABLE").offsetHeight > (totalHeight-(divHeight+getScrollWidth())))
	{
		//Div size is larger than toal available space to dispaly it
		heightOffset = divHeight;
	}
	else
	{
		//Div size is smallar than total available space to display it
		heightOffset = (totalHeight-(document.getElementById("BOTTOMTABLE").offsetHeight + getScrollWidth()));
	}

	SetDivHeight('BOTTOM',heightOffset,1024+getScrollWidth());
	AdjustTableDisplay();

}
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//@Four div 
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2
//*********************************************************
//--FOUR DIV having TOPLEFT-BOTTOMLEFT-TOPRIGHT-BOTTOMRIGHT
//*********************************************************
function Adjust2DimFrameDisplay(buttonDivHeight)
{
	AdjustTableDisplay();

	var divTop = parseInt(document.getElementById("BOTTOMRIGHT").style.marginTop);
	var divLeft = parseInt(document.getElementById("BOTTOMRIGHT").style.marginLeft);	
	var divWidth = parseInt(document.getElementById("BOTTOMRIGHT").offsetWidth) + divLeft + getScrollWidth() + 1;
	var divHeight = parseInt(document.getElementById("BOTTOMRIGHT").offsetHeight) + divTop + getScrollWidth() + 81;
	
	//Deside the scrollbar is required or not.
	
	if(divWidth > parseInt(GetDocumentTotalWidth()) ||
		divHeight > parseInt(GetDocumentTotalHeight()))
	{
		document.getElementById("BOTTOMRIGHT").style.overflow = 'auto';
	}

	//Set both div's width
	var widthOffset = parseInt(GetDivWidthOffset('BOTTOMRIGHT'));	

	SetDivWidth('TOPRIGHT',(widthOffset+getScrollWidth()),1280);
  	SetDivWidth('BOTTOMRIGHT',widthOffset,1280+getScrollWidth());

	//set both div's height
	if(buttonDivHeight != undefined)
	{
		var heightOffset = parseInt(GetDivHeightOffset('BOTTOMRIGHT',buttonDivHeight));
	}
	else
	{	
	
		var heightOffset = parseInt(GetDivHeightOffset('BOTTOMRIGHT',80));
	}
	
	SetDivHeight('BOTTOMLEFT',heightOffset+getScrollWidth(),1024);
	SetDivHeight('BOTTOMRIGHT',heightOffset,1024+getScrollWidth() - 10);	

	AdjustTableDisplay();
}
//*********************************************************
//--RESIZIING FOUR DIV having TOPLEFT-BOTTOMLEFT-TOPRIGHT-BOTTOMRIGHT
//*********************************************************
function Resize2DimFrameDisplay(buttonDivHeight)
{
	AdjustTableDisplay();
	var totalWidth = parseInt(GetDocumentTotalWidth());
	var totalHeight = parseInt(GetDocumentTotalHeight());
	var divTop = parseInt(document.getElementById("BOTTOMRIGHT").style.marginTop);
	var divLeft = parseInt(document.getElementById("BOTTOMRIGHT").style.marginLeft);
	var divWidth = parseInt(document.getElementById("BOTTOMTABLE").offsetWidth) + divLeft + getScrollWidth() + 1;
	var divHeight = parseInt(document.getElementById("BOTTOMTABLE").offsetHeight) + divTop + getScrollWidth() + 81;
	
	//Deside the scrollbar is required or not.
	if((divWidth > totalWidth) ||
		(divHeight > totalHeight))
	{
		document.getElementById("BOTTOMRIGHT").style.overflow = 'scroll';
	}

	//Set both div's width

	if (document.getElementById("BOTTOMTABLE").offsetWidth > (totalWidth-(divLeft+getScrollWidth()) ))
	{
		//Div size is larger than toal available space to dispaly it
		widthOffset = divLeft;
	}
	else
	{
		//Div size is smallar than total available space to display it
		widthOffset = (totalWidth-(document.getElementById("BOTTOMTABLE").offsetWidth +getScrollWidth()));
	}

	SetDivWidth('TOPRIGHT',(widthOffset+getScrollWidth()),1280);
  	SetDivWidth('BOTTOMRIGHT',widthOffset,1280+getScrollWidth());


	//set both div's height
	if(buttonDivHeight != undefined)
	{
		divHeight =  parseInt(document.getElementById("BOTTOMRIGHT").style.marginTop) + parseInt(buttonDivHeight);
	}
	else
	{
		divHeight =  parseInt(document.getElementById("BOTTOMRIGHT").style.marginTop) + 56;
	}
	

	if (document.getElementById("BOTTOMTABLE").offsetHeight > (totalHeight-(divHeight+getScrollWidth())))
	{
		//Div size is larger than toal available space to dispaly it
		heightOffset = divHeight;
	}
	else
	{
		//Div size is smallar than total available space to display it
		heightOffset = (totalHeight-(document.getElementById("BOTTOMTABLE").offsetHeight + getScrollWidth()));
	}

	SetDivHeight('BOTTOMLEFT',heightOffset+getScrollWidth(),1024);
	SetDivHeight('BOTTOMRIGHT',heightOffset,1024+getScrollWidth());

	AdjustTableDisplay();

}

function DisplayTopRightDiv(topPx)
{
	var divLeft = (parseInt(document.getElementById("TOPLEFT").style.marginLeft) + parseInt(document.getElementById("TOPLEFT").offsetWidth) - 1);
	document.write("<DIV style='margin-top:2px;margin-left:"+ divLeft +";position:absolute;overflow:hidden' id='TOPRIGHT' name='TOPRIGHT'>");
}

function DisplayBottomLeftDiv()
{
	var divTop = (parseInt(document.getElementById("TOPLEFT").style.marginTop) + parseInt(document.getElementById("TOPLEFT").offsetHeight) +2);
	document.write("<DIV style='min-width:50px; margin-top:"+ divTop + ";margin-left:2px;position:absolute;overflow:hidden' id='BOTTOMLEFT' name='BOTTOMLEFT'>");
	document.write("<TABLE cellpadding='0' cellspacing='0' align='left' class='gMultiDivTbl'>");
}

function DisplayBottomRightDiv()
{
	var divTop = parseInt(document.getElementById("BOTTOMLEFT").style.marginTop);
	var divLeft = parseInt(document.getElementById("TOPRIGHT").style.marginLeft);
	document.write("<DIV style='margin-top:"+ divTop + ";margin-left:"+ divLeft +"px;position:absolute;overflow:auto' id='BOTTOMRIGHT' name='BOTTOMRIGHT'>");
	document.write("<TABLE cellpadding='0' cellspacing='0' align='left' id=BOTTOMTABLE name=BOTTOMTABLE class='gMultiDivTbl'>");
}


function DisplayTableLableTd(str, rowspan, colspan, tdAlign, wdth, divId, tdId, boldF, toolTipStrHover, toolTipStrHout)	
{
	if(toolTipStrHover == undefined)
		toolTipStrHover = "";
	if(toolTipStrHout == undefined)
		toolTipStrHout = "";
	document.write("<TD class='gTblRowHeading' valign=center rowspan="+ rowspan +" colspan="+ colspan +" align="+ tdAlign +" style='width:"+ wdth +"px;' height:auto; id="+ tdId +" name="+ tdId +" onmouseover=\"showToolTip("+toolTipStrHover+");\"  onmouseout=\"showToolTip("+toolTipStrHout+");\">");
	document.write("<DIV id="+ divId +" name="+ divId +" style='width:100%'>");
	if(boldF == 0)
	{
		document.write(str);
	}
	else
	{
		document.write(str);
	}
	document.write("</DIV></TD>");
}