var fxoPortPara_tbl = new Array("Puerto de FXO",
							"Estado portuario de FXO",
							"Nombre", 
							"De dial",
							"Cociente del dial del pulso",
							"Cadencia del anillo del contador de tiempo", 
							"Contadores de tiempo del dial de DTMF",
							"DTMF EL tiempo",
							"DTMF del tiempo",
							"Traducción automática del número",
							"Aplicar la HORMIGA?",
							"Lista marcada del número ",
							"Lista substituta del número",
							"Supervisión de la respuesta",
							"Tipo de la supervisión de la respuesta",
							"Contador de tiempo forzado de la madurez",
							"Desconectar la detección de señalización",
							"Desconectar la señalización", 
							"Contador de tiempo de la desconexión del lazo abierto",
							"Desconectar la detección del tono",
							"Permitir la detección del tono de la desconexión?",
							"Disconnect Tone ON Time 1",
							"Disconnect Tone OFF Time 1",
							"La línea que llama identificación",
							"Tipo del CLI",
							"Autentificación del PIN ",
							"Contador de tiempo de la pausa",
							"Contador de tiempo ocupado de la espera de FXO",
							"Tiempo el cual el sistema debe esperar FXO para estar libre para la llamada de la encaminamiento con él",
							"Llamadas entrantes",
							"Permitir las llamadas entrantes?",
							"Encaminar las llamadas entrantes ",
							"Ruta a FXS",
							"Ruta al número de destinación fijo según la selección de la ruta de la llamada entrante",
							"Ruta a FXS. Si no contestado dentro de contador de tiempo del anillo, ruta al número de destinación fijo según la selección de la ruta de la llamada entrante ",
							"Contestar a la llamada, recoger el número y encaminarlo según la selección de la ruta de la llamada entrante", 
							"Ruta a FXS. Si no contestado dentro de contador de tiempo del anillo, contestar a la llamada, recoger el número y encaminarlo según la selección de la ruta de la llamada entrante", 
							"Número de destinación fijo",
							"Ruta de la llamada entrante ",
							"Contador de tiempo del anillo",
							"Impedancia de la CA ",
							"Cancelación de eco  ",
							"Permitir",
							"Atar la longitud ",
							"Control de volumen ",
							"Volumen de discurso",
							"Volumen que escucha",
							"Contador de tiempo de destello",
							"Disconnect Tone ON Time 2",
							"Disconnect Tone OFF Time 2",
							"Disconnect Tone ON Time 3",
							"Disconnect Tone OFF Time 3",
							"Disconnect Tone ON Time 4",
							"Disconnect Tone OFF Time 4");


var acImpdeancePara= new Array("600? ",
								"900? ",
								"270? + (750? || 150 N-F) ",
								"220? + (820? || 115 N-F) ",
								"370? + (620? || 310 N-F) ",
								"320? + (1050? || 230 N-F) ",
								"370? + (820? || 110 N-F) ",
								"275? + (780? || 115 N-F) ",
								"120? + (820? || 110 N-F) ",
								"350? + (1000? || 210 N-F) ",
								"200? + (680? || 100 N-F) ",
								"600? + 2.16 F ",
								"900? + 1 F ",
								"900? + 2.16 F ",
								"600? + 1 F ",
								"Impedancia compleja global");

var dialType = new Array("Tono",
						"Pulso");


var pulseDialRatio = new Array("40:60",
								"50:50",
								"33:67");


var answerSupervision = new Array("Ninguno",
									"Revocación de polaridad");



var disconnectSignalType = new Array("Ninguno",
									"Revocación de polaridad",
									"Desconexión del lazo abierto");

var cliType = new Array("Ninguno",
						"DTMF",
						"FSK, durante el anillo", 
						"FSK, antes del anillo");

var icCallRoute = new Array("SIP1",
							"SIP2",
							"SIP3",
							"Tabla marcada del número"); 



var Fixed_dest_num_Err_msg = "El número de destinación fijo no se puede dejar el balnk";
var Invalid_char_Err_msg ="La entrada contiene carácteres inválidos, sólo se permiten los carácteres de ASCII."
var Invalid_input_char_Err_msg="% se permite ' de *-+.)"
var Time_left_blank_Err_msg	= "El contador de tiempo no se puede dejar en blanco.";
var Invalid_input_09_Err_msg ="Se permite la entrada contiene carácteres inválidos, (0-9).";

var incomingCallHdr = "Llamada entrante"; 
var icCallRouteOptionHdr= "Opciones de la encaminamiento de la llamada entrante"; 
var ignoreIcCall = "No hacer caso de las llamadas entrantes" 
var click_dnb_Tt = "Chascar para configurar la tabla marcada del número" 
var authIcCallsLbl = "Authenticar las llamadas entrantes"; 
var click_pin_auth_Tt = "Chascar para configurar la autentificación del PIN"; 
var antTitle= "Chascar para configurar la traducción automática del número"

//////////////////////////////////////////////////////////////////////////


var FXOPORTPARA_TBL = {"FXO_PORT":0,
					"FXO_PORT_STATUS":1,
					"FXO_PORT_NAME":2,
					"DIAL_TYPE":3,
					"PULSE_DIAL_RATIO":4,
					"RING_CADANCE_OFF_TIMER":5,
					"DTMF_DIAL_TIMERS":6,
					"DTMF_ON_TIME":7,
					"DTMF_OFF_TIME":8,
					"AUTOMATIC_NUMBER_TRANSLATION":9,
					"APPLY_ANT":10,
					"DIALED_NUM_LIST":11,
					"SUB_NUM_LIST":12,
					"ANSWER_SUPERVISION":13,
					"ANSWER_SUPERVISION_TYPE":14,
					"FORCED_MATURITY_TIMER":15,
					"DISCONNECT_SIGNAL_DETECTION":16,
					"DISCONNECT_SIGNAL_TYPE":17,
					"OPEN_LOOP_DISCONNECT_TIMER":18,
					"DISCONNECT_TONE_DETECTION":19,
					"ENABLE_DISCONNECT_TONE_DETECTION":20,
					"DISCONNECT_TONE_ON_TIME_1":21,
					"DISCONNECT_TONE_OFF_TIME_1":22,
					"CALLING_LINE_IDENTIFICAITON":23,
					"CLI_TYPE":24,
					"PIN_AUTHENTICATION":25,
					"PAUSE_TIMER":26,
					"FXO_BUSY_WAIT_TIMER":27,
					"TIME_SYSTEM_WAIT_FXO_TO_FREE":28,
					"INCOMING_CALLS":29,
					"ALLOW_INCOMING_CALLS":30,
					"ROUTE_INCOMING_CALLS":31,
					"ROUTE_TO_FXS":32,
					"ROUTE_TO_FIX_DESTION_IC_NUMBER":33,
					"ROUTE_TO_FXS_NOT_ANS_FDN":34,
					"ANSWER_CALL_REOUTE_TO_DIALED_NUM":35,
					"ROUTE_TO_FXS_NOT_ANS_COLLECT_DIGIT_ROUTE_TO_DIALED_NUM":36,
					"FIXED_DESTINATION_NUMBER":37,
					"INCOMING_CALL_ROUTE":38,
					"RING_TIMER":39,
					"AC_IMPEDANCE":40,
					"ECHO_CANCELLATION":41,
					"ENABLE":42,
					"TAIL_LENGTH":43,
					"VOLUME_CONTROL":44,
					"SPEAKING_VOLUME":45,
					"LISTENING_VOLUME":46,
					"FXO_FLASH_TIMER":47,
					"DISCONNECT_TONE_ON_TIME_2":48,
					"DISCONNECT_TONE_OFF_TIME_2":49,
					"DISCONNECT_TONE_ON_TIME_3":50,
					"DISCONNECT_TONE_OFF_TIME_3":51,
					"DISCONNECT_TONE_ON_TIME_4":52,
					"DISCONNECT_TONE_OFF_TIME_4":53};


var DIAL_TYPE = {"TONE":0,
				"PULSE":1};


var PULSE_DIAL_RATIO = {"FOURTY_SIXTY":0,
						"FIFTY_FIFTY":1,
						"THIRTYTHREE_SIXTYSEVER":2};

var ANSWER_SUPERVISION = {"NONE":0,
							"POLARITY_REVERSAL":1};

var DISCONNECT_SINGAL_TYPE = {"NONE":0,
							"POLARITY_REVERAL":1,
							"OPEN_LOOP_DISCONNECT":2};

var CLI_TYPE = {"NONE":0,
				"DTMF":1,
				"FSK_DURING_RING":2,
				"FSK_BEFORE_RING":3};

var IC_CALL_ROUTE = {"SIP1":0,
					"SIP2":1,
					"SIP3":2,
					"DIALED_NUM_BASED":3};

var fXOPortTt = "Para permitir llamadas entrantes y salientes el puerto de FXO debe ser permitido.";
var nameTt = "Asignar un nombre al puerto de FXO. Este nombre será enviado al partido llamado en el campo conocido de la exhibición en el mensaje del SORBO.";
var icCallRouteOptionsTt = "Seleccionar una opción apropiada para encaminar todas las llamadas entrantes en el puerto de FXO.";
var fixedDestNumberTt = "Si usted seleccionó como la ruta del `de la opción de la encaminamiento de la llamada entrante a la destinación fija según la selección de la ruta de la llamada entrante' o ruta del `a FXS. Si no contestado dentro de contador de tiempo del anillo, la ruta al número de destinación fijo según la selección de la ruta de la llamada entrante', incorpora el número de destinación en este campo.";
var icCallRouteDestTt = "Seleccionar una opción apropiada para encaminar todas las llamadas entrantes en el puerto de FXO."; 
var ringTimerTt = "Cuando hay una llamada entrante en el puerto móvil se encamina en puerto de FXS, el sistema juega el anillo en el teléfono conectado con el puerto de FXS hasta el vencimiento del contador de tiempo del anillo. Usted puede fijar este contador de tiempo a la duración deseada. Gama válida: 01 a 99 segundos. Defecto: 45 segundos.";
var authIncomingCallsTt = "Usted puede dejar el sistema authenticar todas las llamadas entrantes en el puerto de FXO usar PIN Authentication.When que usted utiliza la autentificación del PIN, el sistema pedirá a llamadores el PIN, después de contestar la invitación el puerto de FXO. Para utilizar esta característica, usted debe permitir la autentificación del PIN del `' y almacenar el PIN en tabla del `de la autentificación del PIN'. ";
var answerSupervisionTt = "Aplicaciones ATA de SETU esta señalización de informar al acontecimiento al puerto de FXS, sobre la contestación de la llamada por el partido alejado, siempre que la llamada se haga a través de puerto de FXO. Esta señalización se utiliza para el uso donde la máquina de PCO o el PBX está conectada con el puerto de FXS de ATA, debe comenzar la facturación para el acontecimiento de la llamada madurada. Usted no puede seleccionar o ninguno (si el intercambio de donde usted ha tomado los servicios para FXO no apoya la supervisión de la respuesta) o la polaridad Reversal.If que no se selecciona ninguno, usted puede todavía utilizar la supervisión de la respuesta por el contador de tiempo forzado programa de la madurez a un valor apropiado. El contador de tiempo forzado de la madurez significa el valor después de vencimiento cuyo, la llamada será considerada como madurado. Gama válida: sec 00 a 99. Defecto: sec 15. "; 
var disconnectSignalingTt = "Aplicaciones ATA de SETU esta señalización de informar al acontecimiento al puerto de FXS, sobre la desconexión de la llamada por el partido alejado, siempre que la llamada se haga a través de puerto de FXO. Esta señalización se utiliza para el uso donde la máquina de PCO o el PBX está conectada con el puerto de FXS de ATA, debe parar la facturación para la llamada disconnected. Usted no puede seleccionar o ninguno (si el intercambio de donde usted ha tomado los servicios para FXO no apoya la señalización de la desconexión) o la señalización de la desconexión de la revocación de polaridad o del lazo abierto Disconnect.If se fija a la desconexión del lazo abierto del `', usted debe también programar el contador de tiempo de la desconexión del lazo abierto a un valor apropiado. Gama válida: 001 a 999 milisegundos. Defecto: 200 milisegundos."; 
var disconnectToneDetectionTt = "La detección ATA de las ayudas de SETU del tono de la desconexión y lo utiliza para lanzar el puerto de FXO de ATA cuando el partido alejado desconecta la llamada. Permitir la detección del tono de la desconexión si su intercambio de donde usted ha tomado los servicios para FXO apoya la característica. Usted también necesita programar el tono de la desconexión en contador de tiempo y del tiempo a un valor apropiado. Gama válida: 0000 a 9999 milisegundos. Defecto: 750 milisegundos.";
var automaticNumTranslationTt = "La traducción automática del número le permite modificar o traducir el número marcado a otro número. Para aplicar la HORMIGA en el puerto de FXO, usted debe permitir la HORMIGA y configurar la tabla de traducción automática del número con números marcados y números del substituto.";
var CLITypeTt = "Cuando hay una llamada entrante en FXO, el sistema detectará el CLI según tipo seleccionado del CLI. Seleccionar el tipo del CLI según lo apoyado por su intercambio. Defecto: `FSK, durante el anillo'.";
var dialTypeTt = "Usted puede fijar de dial o al pulso del `' o el tono del `' depende del intercambio de donde usted ha tomado los servicios para FXO. La mayor parte de los proveedores de servicios ahora apoyan la marca de tono, pero usted necesita cambiar el ajuste para pulsar si usted prestatario de servicios apoya solamente la marca del pulso. Defecto: Tono del `'.";
var PulseDialRatioTt = "Usted necesita cambiar este ajuste solamente si el `de dial' se fija al pulso del `'. Está diferente para diversos países, por lo tanto selecciona el cociente del dial del pulso para el pulso de marca el cociente según el país donde ATA está instalado. Defecto: 33:67.";
var flashTimerTt = "El contador de tiempo de destello del `' especifica el plazo para el cual las roturas de la corriente de lazo que se considera como flash. El prestatario de servicios utiliza este acontecimiento para las varias características como asimiento de la llamada. Defecto: 600 milisegundos.";
var ringCadenceOffTimerTt = "Si la cadencia del anillo del contador de tiempo programado aquí es menos entonces la cadencia del anillo del contador de tiempo del intercambio, cada nuevo anillo (para la misma llamada) será considerado como nueva llamada. Para prevenir esto, la cadencia del anillo de contador de tiempo en ATA debe ser igual o más entonces la cadencia del anillo del contador de tiempo del intercambio. Gama válida: sec 1 a 9. Defecto: sec 4.";
var DTMFONTimeTt = "Usted puede seleccionar el DTMF apropiado el la hora para enviar dígitos de DTMF. El DTMF el tiempo es el tiempo durante el cual el dígito de DTMF que debe hacia fuera ser marcado queda orientado. Gama válida: 70 milisegundos a 200 milisegundos. Defecto: 70 milisegundos.";
var DTMFOFFTimeTt = "Usted puede seleccionar el DTMF apropiado de tiempo como el boquete de tiempo entre dos dígitos de DTMF. Gama válida: 100 milisegundos a 200 milisegundos. Defecto: 100msec.";
var pauseTimerTt = "Mientras que la fabricación de la llamada del puerto de FXO, ATA agrega un cierto retardo antes de marcar hacia fuera el número después de que el puerto de FXO vaya off-hook. Este retardo se programa como contador de tiempo de la pausa. Durante este tiempo, no se marca ninguÌn dígito por el ATA en puerto de FXO. Se utiliza esto cuando el intercambio toma un poco de tomo para detectar que el puerto de FXO es off-hook. Gama válida: sec 1 a 9. Defecto: 1 sec.";
var FXOBusyWaitTimerTt = "Se utiliza este contador de tiempo cuando la opción de la encaminamiento de la llamada entrante en tronco del SORBO se fija a la respuesta del `la llamada, recoge número y lo encamina a FXO'. Después de recoger número en tronco del SORBO, si el puerto de FXO encontró ocupado, el sistema esperará esta hora para que el puerto de FXO se convierta libremente. Durante este tiempo, el llamador conseguirá tono de la encaminamiento de la llamada. Gama válida: 00 a 99 segundos. Defecto: 45 segundos.";
var echoCancellationTt = "La cancelación de eco es una técnica que permite el aislamiento y la filtración de las señales indeseadas causadas por ecos. Para mejorar la calidad del discurso, permitir a la cancelación de eco y fijar la longitud de la cola del `' según la longitud del eco. Defecto: Se permite la cancelación de eco; Longitud de la cola: 32 milisegundos.";
var ACImpedanceTt = "Esta característica permite que usted programe la impedancia de la CA del puerto de FXO.";
var speakingVolumeTt = "Usted puede ajustar el volumen del discurso que es transmitido del puerto de FXO. Defecto: 0 DB."
var listeningVolumeTt = "Usted puede ajustar el volumen del discurso que es recibido en el puerto de FXO. Defecto: 0 DB."
						
var giveDialToneFor="Dar señal para marcar para";
var ifNotDialedRouteToFxo="Si no se marca ninguÌn dígito, ruta al número de destinación fijo según la selección de la ruta de la llamada entrante";						
