#!/bin/sh

#Defaults
WATCH_DOG_ENABLE=1

if [ $# -ge 1 ] 
then
WATCH_DOG_ENABLE=$1
fi

cd /matrix/system

killall setu_ata*

/matrix/upgrade/upgrade.sh

/root/scripts/firmware_upgrade.sh ALL 0 0 0 0

cp -rf /lib/siplib.zip /ramdisk/lib/
cd /ramdisk/lib/
unzip -o -q siplib.zip
rm -rf siplib.zip

cp -rf /lib/openssl.zip /ramdisk/lib/
unzip -o -q openssl.zip
rm -rf openssl.zip

cp -rf /lib/opensslApps.zip /ramdisk/lib/
unzip -o -q opensslApps.zip
rm -rf opensslApps.zip

cp -rf /matrix/system/*.zip /ramdisk/system/
cd /ramdisk/system/
unzip -o -q *.zip 
rm -rf *.zip 

export PATH='/usr/bin:/bin:/usr/sbin:/sbin:/ramdisk/lib/apps/'

cd /

while :
do
{
	echo -n "$HOSTNAME started at " >> /tmp/System.log
	echo `date` >> /tmp/System.log
	/ramdisk/system/setu_ata* $WATCH_DOG_ENABLE
	echo -n "$HOSTNAME exited with return code $? at " >> /tmp/System.log
	echo `date` >> /tmp/System.log
	echo "$HOSTNAME application killed or exited !"
	sleep 10
}
done
